# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:Amazonpay検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class AmazonpaySearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===詳細コマンドタイプ名を取得する
        # @return:: 詳細コマンドタイプ名
        #
        def detail_command_type
          @detail_command_type = nil unless instance_variable_defined?(:@detail_command_type)
          @detail_command_type
        end

        #
        # ===詳細コマンドタイプ名を設定する
        # @param:: detail_command_type 詳細コマンドタイプ名
        #
        def detail_command_type=(detail_command_type)
          @detail_command_type = detail_command_type
        end

        #
        # ===決済センターの管理IDを取得する
        # @return:: 決済センターの管理ID
        #
        def center_order_id
          @center_order_id = nil unless instance_variable_defined?(:@center_order_id)
          @center_order_id
        end

        #
        # ===決済センターの管理IDを設定する
        # @param:: center_order_id 決済センターの管理ID
        #
        def center_order_id=(center_order_id)
          @center_order_id = center_order_id
        end

        #
        # ===決済センターのトランザクション管理IDを取得する
        # @return:: 決済センターのトランザクション管理ID
        #
        def center_transaction_id
          @center_transaction_id = nil unless instance_variable_defined?(:@center_transaction_id)
          @center_transaction_id
        end

        #
        # ===決済センターのトランザクション管理IDを設定する
        # @param:: center_transaction_id 決済センターのトランザクション管理ID
        #
        def center_transaction_id=(center_transaction_id)
          @center_transaction_id = center_transaction_id
        end

        #
        # ===課金種別を取得する
        # @return:: 課金種別
        #
        def accounting_type
          @accounting_type = nil unless instance_variable_defined?(:@accounting_type)
          @accounting_type
        end

        #
        # ===課金種別を設定する
        # @param:: accounting_type 課金種別
        #
        def accounting_type=(accounting_type)
          @accounting_type = accounting_type
        end

        #
        # ===承諾状態を取得する
        # @return:: 承諾状態
        #
        def consent_status
          @consent_status = nil unless instance_variable_defined?(:@consent_status)
          @consent_status
        end

        #
        # ===承諾状態を設定する
        # @param:: consent_status 承諾状態
        #
        def consent_status=(consent_status)
          @consent_status = consent_status
        end

        #
        # ===元取引IDを取得する
        # @return:: 元取引ID
        #
        def original_order_id
          @original_order_id = nil unless instance_variable_defined?(:@original_order_id)
          @original_order_id
        end

        #
        # ===元取引IDを設定する
        # @param:: original_order_id 元取引ID
        #
        def original_order_id=(original_order_id)
          @original_order_id = original_order_id
        end

        #
        # ===決済確認画面種別を取得する
        # @return:: 決済確認画面種別
        #
        def pay_confirm_screen_type
          @pay_confirm_screen_type = nil unless instance_variable_defined?(:@pay_confirm_screen_type)
          @pay_confirm_screen_type
        end

        #
        # ===決済確認画面種別を設定する
        # @param:: pay_confirm_screen_type 決済確認画面種別
        #
        def pay_confirm_screen_type=(pay_confirm_screen_type)
          @pay_confirm_screen_type = pay_confirm_screen_type
        end

      end
    end
  end
end
