# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =銀行口座情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class BankAccountInfo

        #
        # ===金融機関コードを取得する
        # @return:: 金融機関コード
        #
        def bank_code
          @bank_code = nil unless instance_variable_defined?(:@bank_code)
          @bank_code
        end

        #
        # ===金融機関コードを設定する
        # @param:: bank_code 金融機関コード
        #
        def bank_code=(bank_code)
          @bank_code = bank_code
        end

        #
        # ===支店コードを取得する
        # @return:: 支店コード
        #
        def branch_code
          @branch_code = nil unless instance_variable_defined?(:@branch_code)
          @branch_code
        end

        #
        # ===支店コードを設定する
        # @param:: branch_code 支店コード
        #
        def branch_code=(branch_code)
          @branch_code = branch_code
        end

        #
        # ===口座種別を取得する
        # @return:: 口座種別
        #
        def account_type
          @account_type = nil unless instance_variable_defined?(:@account_type)
          @account_type
        end

        #
        # ===口座種別を設定する
        # @param:: account_type 口座種別
        #
        def account_type=(account_type)
          @account_type = account_type
        end

        #
        # ===口座番号を取得する
        # @return:: 口座番号
        #
        def account_number
          @account_number = nil unless instance_variable_defined?(:@account_number)
          @account_number
        end

        #
        # ===口座番号を設定する
        # @param:: account_number 口座番号
        #
        def account_number=(account_number)
          @account_number = account_number
        end

        #
        # ===口座名義を取得する
        # @return:: 口座名義
        #
        def account_name
          @account_name = nil unless instance_variable_defined?(:@account_name)
          @account_name
        end

        #
        # ===口座名義を設定する
        # @param:: account_name 口座名義
        #
        def account_name=(account_name)
          @account_name = account_name
        end

      end
    end
  end
end
