# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =課金グループ情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class ChargeParam

        #
        # ===課金グループIDを取得する
        # @return:: 課金グループID
        #
        def group_id
          @group_id = nil unless instance_variable_defined?(:@group_id)
          @group_id
        end

        #
        # ===課金グループIDを設定する
        # @param:: group_id 課金グループID
        #
        def group_id=(group_id)
          @group_id = group_id
        end

        #
        # ===課金グループ名を取得する
        # @return:: 課金グループ名
        #
        def group_name
          @group_name = nil unless instance_variable_defined?(:@group_name)
          @group_name
        end

        #
        # ===課金グループ名を設定する
        # @param:: group_name 課金グループ名
        #
        def group_name=(group_name)
          @group_name = group_name
        end

        #
        # ===課金スタイル区分を取得する
        # @return:: 課金スタイル区分
        #
        def type
          @type = nil unless instance_variable_defined?(:@type)
          @type
        end

        #
        # ===課金スタイル区分を設定する
        # @param:: type 課金スタイル区分
        #
        def type=(type)
          @type = type
        end

        #
        # ===都度／初回課金金額を取得する
        # @return:: 都度／初回課金金額
        #
        def one_time_amount
          @one_time_amount = nil unless instance_variable_defined?(:@one_time_amount)
          @one_time_amount
        end

        #
        # ===都度／初回課金金額を設定する
        # @param:: one_time_amount 都度／初回課金金額
        #
        def one_time_amount=(one_time_amount)
          @one_time_amount = one_time_amount
        end

        #
        # ===継続課金金額を取得する
        # @return:: 継続課金金額
        #
        def amount
          @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===継続課金金額を設定する
        # @param:: amount 継続課金金額
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===課金日取扱区分を取得する
        # @return:: 課金日取扱区分
        #
        def charge_type
          @charge_type = nil unless instance_variable_defined?(:@charge_type)
          @charge_type
        end

        #
        # ===課金日取扱区分を設定する
        # @param:: charge_type 課金日取扱区分
        #
        def charge_type=(charge_type)
          @charge_type = charge_type
        end

        #
        # ===継続課金スケジュールを取得する
        # @return:: 継続課金スケジュール
        #
        def schedule
          @schedule = nil unless instance_variable_defined?(:@schedule)
          @schedule
        end

        #
        # ===継続課金スケジュールを設定する
        # @param:: schedule 継続課金スケジュール
        #
        def schedule=(schedule)
          @schedule = schedule
        end

        #
        # ===売上日を取得する
        # @return:: 売上日
        #
        def sales_day
          @sales_day = nil unless instance_variable_defined?(:@sales_day)
          @sales_day
        end

        #
        # ===売上日を設定する
        # @param:: sales_day 売上日
        #
        def sales_day=(sales_day)
          @sales_day = sales_day
        end

        #
        # ===仕向先会社コードを取得する
        # @return:: 仕向先会社コード
        #
        def acquire_code
          @acquire_code = nil unless instance_variable_defined?(:@acquire_code)
          @acquire_code
        end

        #
        # ===仕向先会社コードを設定する
        # @param:: acquire_code 仕向先会社コード
        #
        def acquire_code=(acquire_code)
          @acquire_code = acquire_code
        end

      end
    end
  end
end
