# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:電子マネー検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class EmSearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===電子マネー種別を取得する
        # @return:: 電子マネー種別
        #
        def em_type
          @em_type = nil unless instance_variable_defined?(:@em_type)
          @em_type
        end

        #
        # ===電子マネー種別を設定する
        # @param:: em_type 電子マネー種別
        #
        def em_type=(em_type)
          @em_type = em_type
        end

        #
        # ===支払い種別を取得する
        #
        # @return:: 支払い種別
        #
        def option_type
          @option_type = nil unless instance_variable_defined?(:@option_type)
          @option_type
        end

        #
        # ===支払い種別を設定する
        # @param:: option_type 支払い種別
        #
        def option_type=(option_type)
          @option_type = option_type
        end

        #
        # ===支払/受取期限（From, To）を取得する
        # @return:: 支払/受取期限（From, To）
        #
        def settlement_limit
          @settlement_limit = nil unless instance_variable_defined?(:@settlement_limit)
          @settlement_limit
        end

        #
        # ===支払/受取期限（From, To）を設定する
        # @param:: settlement_limit 支払/受取期限（From, To）
        #
        def settlement_limit=(settlement_limit)
          @settlement_limit = settlement_limit
        end

        #
        # ===支払完了日時（From, To）を取得する
        # @return:: 支払完了日時（From, To）
        #
        def complete_datetime
          @complete_datetime = nil unless instance_variable_defined?(:@complete_datetime)
          @complete_datetime
        end

        #
        # ===支払完了日時（From, To）を設定する
        # @param:: complete_datetime 支払完了日時（From, To）
        #
        def complete_datetime=(complete_datetime)
          @complete_datetime = complete_datetime
        end

        #
        # ===受付番号を取得する
        # @return:: 受付番号
        #
        def receipt_no
          @receipt_no = nil unless instance_variable_defined?(:@receipt_no)
          @receipt_no
        end

        #
        # ===受付番号を設定する
        # @param:: receipt_no 受付番号
        #
        def receipt_no=(receipt_no)
          @receipt_no = receipt_no
        end

        #
        # ===管理番号を取得する
        # @return:: 管理番号
        #
        def management_no
          @management_no = nil unless instance_variable_defined?(:@management_no)
          @management_no
        end

        #
        # ===管理番号を設定する
        # @param:: management_no 管理番号
        #
        def management_no=(management_no)
          @management_no = management_no
        end

      end
    end
  end
end
