# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知Aegis詳細結果応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionAgResponseDto

        #
        # ===評価結果を取得する
        # 不正検知評価結果。
        # accept：承認
        # deny：拒否
        # challenge：保留
        # @return:: 評価結果
        #
        def decision
          @decision = nil unless instance_variable_defined?(:@decision)
          @decision
        end

        #
        # ===評価結果を設定する
        # @param:: decision 評価結果
        #
        def decision=(decision)
          @decision = decision
        end

        #
        # ===該当不正検知ルールを取得する
        # 該当した不正検知ルール（複数）。
        # @return:: 該当不正検知ルール
        #
        def hit_rules
          @hit_rules = nil unless instance_variable_defined?(:@hit_rules)
          @hit_rules
        end

        #
        # ===該当不正検知ルールを設定する
        # @param:: hit_rules 該当不正検知ルール
        #
        def hit_rules=(hit_rules)
          @hit_rules = hit_rules
        end

        #
        # ===該当不正検知理由を取得する
        # 該当した不正検知理由（複数）。
        # @return:: 該当不正検知理由
        #
        def hit_reasons
          @hit_reasons = nil unless instance_variable_defined?(:@hit_reasons)
          @hit_reasons
        end

        #
        # ===該当不正検知理由を設定する
        # @param:: hit_reasons 該当不正検知理由
        #
        def hit_reasons=(hit_reasons)
          @hit_reasons = hit_reasons
        end

        #
        # ===実施時エラー理由を取得する
        # 不正検知評価実施時に発生したエラー理由（複数）
        # @return:: 実施時エラー理由
        #
        def errors
          @errors = nil unless instance_variable_defined?(:@errors)
          @errors
        end

        #
        # ===実施時エラー理由を設定する
        # @param:: errors 実施時エラー理由
        #
        def errors=(errors)
          @errors = errors
        end

        #
        # ===実施前エラー理由を取得する
        # 不正検知評価前に発生したエラー理由
        # @return:: 実施前エラー理由
        #
        def message
          @message = nil unless instance_variable_defined?(:@message)
          @message
        end

        #
        # ===実施前エラー理由を設定する
        # @param:: message 実施前エラー理由
        #
        def message=(message)
          @message = message
        end


      end
    end
  end
end
