# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知連絡先Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionContactDto

        #
        # ===参照Keyを取得する
        # @return:: 参照Key
        #
        def ref_id
          @ref_id = nil unless instance_variable_defined?(:@ref_id)
          @ref_id
        end

        #
        # ===参照Keyを設定する
        # 他項目から、連絡先オブジェクトへの参照用の Key 名称。
        # @param:: ref_id 参照Key
        #
        def ref_id=(ref_id)
          @ref_id = ref_id
        end

        #
        # ===名を取得する
        # @return:: 名
        #
        def first_name
          @first_name = nil unless instance_variable_defined?(:@first_name)
          @first_name
        end

        #
        # ===名を設定する
        # 連絡先氏名（名）
        # @param:: first_name 名
        #
        def first_name=(first_name)
          @first_name = first_name
        end

        #
        # ===姓を取得する
        # @return:: 姓
        #
        def last_name
          @last_name = nil unless instance_variable_defined?(:@last_name)
          @last_name
        end

        #
        # ===姓を設定する
        # 連絡先氏名（姓）
        # @param:: last_name 姓
        #
        def last_name=(last_name)
          @last_name = last_name
        end

        #
        # ===会社名を取得する
        # @return:: 会社名
        #
        def company
          @company = nil unless instance_variable_defined?(:@company)
          @company
        end

        #
        # ===会社名を設定する
        # 連絡先会社名
        # @param:: company 会社名
        #
        def company=(company)
          @company = company
        end

        #
        # ===Eメールアドレスを取得する
        # @return:: Eメールアドレス
        #
        def email_address
          @email_address = nil unless instance_variable_defined?(:@email_address)
          @email_address
        end

        #
        # ===Eメールアドレスを設定する
        # メールアドレス
        # @param:: email_address Eメールアドレス
        #
        def email_address=(email_address)
          @email_address = email_address
        end

        #
        # ===Eメールアドレス分類を取得する
        # @return:: Eメールアドレス分類
        #
        def email_address_type
          @email_address_type = nil unless instance_variable_defined?(:@email_address_type)
          @email_address_type
        end

        #
        # ===Eメールアドレス分類を設定する
        # メールアドレスの分類。
        # 「PERSONAL,WORK,UNKNOWN」の何れかを設定してください。
        # PERSONAL:個人用
        # WORK:仕事用
        # UNKNOWN:不明
        # @param:: email_address_type Eメールアドレス分類
        #
        def email_address_type=(email_address_type)
          @email_address_type = email_address_type
        end

        #
        # ===電話番号を取得する
        # @return:: 電話番号
        #
        def phone_number
          @phone_number = nil unless instance_variable_defined?(:@phone_number)
          @phone_number
        end

        #
        # ===電話番号を設定する
        # 電話番号をハイフンを除いた数字で設定してください。
        # ※addressで指定されたcountryCodeの国の電話番号として取り扱います。
        # @param:: phone_number 電話番号
        #
        def phone_number=(phone_number)
          @phone_number = phone_number
        end

        #
        # ===電話番号分類を取得する
        # @return:: 電話番号分類
        #
        def phone_number_type
          @phone_number_type = nil unless instance_variable_defined?(:@phone_number_type)
          @phone_number_type
        end

        #
        # ===電話番号分類を設定する
        # 電話番号の分類。
        # 「HOME,MOBILE,WORK,COMPANY,FAX,UNKNOWN」の何れかを設定してください。
        # HOME:自宅
        # MOBILE:モバイル
        # WORK:仕事用
        # COMPANY:会社
        # FAX:ファックス
        # UNKNOWN:不明
        # @param:: phone_number_type 電話番号分類
        #
        def phone_number_type=(phone_number_type)
          @phone_number_type = phone_number_type
        end

        #
        # ===住所1を取得する
        # @return:: 住所1
        #
        def street_line
          @street_line = nil unless instance_variable_defined?(:@street_line)
          @street_line
        end

        #
        # ===住所1を設定する
        # 住所1。住所2と合わせて住所情報となるよう設定してください。
        # @param:: street_line 住所1
        #
        def street_line=(street_line)
          @street_line = street_line
        end

        #
        # ===住所2を取得する
        # @return:: 住所2
        #
        def street_line2
          @street_line2 = nil unless instance_variable_defined?(:@street_line2)
          @street_line2
        end

        #
        # ===住所2を設定する
        # 住所2。住所1と合わせて住所情報となるよう設定してください。
        # @param:: street_line2 住所2
        #
        def street_line2=(street_line2)
          @street_line2 = street_line2
        end

        #
        # ===都道府県を取得する
        # @return:: 都道府県
        #
        def city
          @city = nil unless instance_variable_defined?(:@city)
          @city
        end

        #
        # ===都道府県を設定する
        # 47 都道府県名称を設定してください。
        # @param:: city 都道府県
        #
        def city=(city)
          @city = city
        end

        #
        # ===郵便番号を取得する
        # @return:: 郵便番号
        #
        def postal
          @postal = nil unless instance_variable_defined?(:@postal)
          @postal
        end

        #
        # ===郵便番号を設定する
        # 郵便番号をハイフン無で設定してください。
        # @param:: postal 郵便番号
        #
        def postal=(postal)
          @postal = postal
        end

        #
        # ===都道府県略号を取得する
        # @return:: 都道府県略号
        #
        def state_province_code
          @state_province_code = nil unless instance_variable_defined?(:@state_province_code)
          @state_province_code
        end

        #
        # ===都道府県略号を設定する
        # 都道府県の略号（ISO 3166-2：2007）の英数字1～3桁を設定してください。
        # @param:: state_province_code 都道府県略号
        #
        def state_province_code=(state_province_code)
          @state_province_code = state_province_code
        end

        #
        # ===国名コードを取得する
        # @return:: 国名コード
        #
        def country_code
          @country_code = nil unless instance_variable_defined?(:@country_code)
          @country_code
        end

        #
        # ===国名コードを設定する
        # 国名コード（ISO 3166-2：2007）を設定してください。
        # @param:: country_code 国名コード
        #
        def country_code=(country_code)
          @country_code = country_code
        end

        #
        # ===生年月日を取得する
        # @return:: 生年月日
        #
        def birth_date
          @birth_date = nil unless instance_variable_defined?(:@birth_date)
          @birth_date
        end

        #
        # ===生年月日を設定する
        # "YYYY-MM-DD"の形式で設定してください。
        # @param:: birth_date 生年月日
        #
        def birth_date=(birth_date)
          @birth_date = birth_date
        end

        #
        # ===旧姓を取得する
        # @return:: 旧姓
        #
        def mothers_maiden_name
          @mothers_maiden_name = nil unless instance_variable_defined?(:@mothers_maiden_name)
          @mothers_maiden_name
        end

        #
        # ===旧姓を設定する
        # 母方の姓、旧姓を設定してください。
        # @param:: mothers_maiden_name 旧姓
        #
        def mothers_maiden_name=(mothers_maiden_name)
          @mothers_maiden_name = mothers_maiden_name
        end


      end
    end
  end
end
