# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知送料情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionCostDto

        #
        # ===発送料金を取得する
        # @return:: 発送料金
        #
        def amount
          @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===発送料金を設定する
        # 発送料金を設定してください。
        # @param:: amount 発送料金
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===通貨コードを取得する
        # @return:: 通貨コード
        #
        def currency_code
          @currency_code = nil unless instance_variable_defined?(:@currency_code)
          @currency_code
        end

        #
        # ===通貨コードを設定する
        # @param:: currency_code 通貨コード
        #
        def currency_code=(currency_code)
          @currency_code = currency_code
        end


      end
    end
  end
end
