# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知最終アクション情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionLastActionTimesDto

        #
        # ===最終ログイン日時を取得する
        # @return:: 最終ログイン日時
        #
        def previous_successful_login
          @previous_successful_login = nil unless instance_variable_defined?(:@previous_successful_login)
          @previous_successful_login
        end

        #
        # ===最終ログイン日時を設定する
        # 最終ログイン日時を"YYYY-MM-DDTHH:MM:SS.MsMsMsZ"で設定してください。
        # @param:: previous_successful_login 最終ログイン日時
        #
        def previous_successful_login=(previous_successful_login)
          @previous_successful_login = previous_successful_login
        end

        #
        # ===送金限度額の最終変更日時を取得する
        # @return:: 送金限度額の最終変更日時
        #
        def transfer_threshold_updated
          @transfer_threshold_updated = nil unless instance_variable_defined?(:@transfer_threshold_updated)
          @transfer_threshold_updated
        end

        #
        # ===送金限度額の最終変更日時を設定する
        # 送金限度額の最終変更日時を"YYYY-MM-DDTHH:MM:SS.MsMsMsZ"で設定してください。
        # @param:: transfer_threshold_updated 送金限度額の最終変更日時
        #
        def transfer_threshold_updated=(transfer_threshold_updated)
          @transfer_threshold_updated = transfer_threshold_updated
        end


      end
    end
  end
end
