# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知取引支払いDtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionTransactionDto

        #
        # ===取引分類を取得する
        # @return:: 取引分類
        #
        def type
          @type = nil unless instance_variable_defined?(:@type)
          @type
        end

        #
        # ===取引分類を設定する
        # @param:: type 取引分類
        #
        def type=(type)
          @type = type
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def id
          @id = nil unless instance_variable_defined?(:@id)
          @id
        end

        #
        # ===取引IDを設定する
        # @param:: id 取引ID
        #
        def id=(id)
          @id = id
        end

        #
        # ===取引金額を取得する
        # @return:: 取引金額
        #
        def cash_value
          @cash_value = nil unless instance_variable_defined?(:@cash_value)
          @cash_value
        end

        #
        # ===取引金額を設定する
        # 取引金額オブジェクト
        # @param:: cash_value 取引金額
        #
        def cash_value=(cash_value)
          @cash_value = cash_value
        end

        #
        # ===取引日時を取得する
        # @return:: 取引日時
        #
        def time
          @time = nil unless instance_variable_defined?(:@time)
          @time
        end

        #
        # ===取引日時を設定する
        # @param:: time 取引日時
        #
        def time=(time)
          @time = time
        end

        #
        # ===支払者を取得する
        # @return:: 支払者
        #
        def payer
          @payer = nil unless instance_variable_defined?(:@payer)
          @payer
        end

        #
        # ===支払者を設定する
        # 支払者の連絡先。contacts オブジェクトrefIdを設定してください。
        # @param:: payer 支払者
        #
        def payer=(payer)
          @payer = payer
        end

        #
        # ===取引種別を取得する
        # @return:: 取引種別
        #
        def category
          @category = nil unless instance_variable_defined?(:@category)
          @category
        end

        #
        # ===取引種別を設定する
        # @param:: category 取引種別
        #
        def category=(category)
          @category = category
        end

        #
        # ===カードメソッドを取得する
        # @return:: カードメソッド
        #
        def method_card
          @method_card = nil unless instance_variable_defined?(:@method_card)
          @method_card
        end

        #
        # ===カードメソッドを設定する
        # カードメソッドオブジェクト
        # @param:: method_card カードメソッド
        #
        def method_card=(method_card)
          @method_card = method_card
        end


      end
    end
  end
end
