# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知V2カード情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionV2CardDto

        #
        # ===カード番号を取得する
        # @return:: カード番号
        #
        def number
          @number = nil unless instance_variable_defined?(:@number)
          @number
        end

        #
        # ===カード番号を設定する
        # @param:: number カード番号
        #
        def number=(number)
          @number = number
        end

        #
        # ===カード有効期限（月）を取得する
        # @return:: カード有効期限（月）
        #
        def expiry_month
          @expiry_month = nil unless instance_variable_defined?(:@expiry_month)
          @expiry_month
        end

        #
        # ===カード有効期限（月）を設定する
        # @param:: expiry_month カード有効期限（月）
        #
        def expiry_month=(expiry_month)
          @expiry_month = expiry_month
        end

        #
        # ===カード有効期限（年）を取得する
        # @return:: カード有効期限（年）
        #
        def expiry_year
          @expiry_year = nil unless instance_variable_defined?(:@expiry_year)
          @expiry_year
        end

        #
        # ===カード有効期限（年）を設定する
        # @param:: expiry_year カード有効期限（年）
        #
        def expiry_year=(expiry_year)
          @expiry_year = expiry_year
        end


      end
    end
  end
end
