# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知V2企業情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionV2CorporateDto

        #
        # ===企業住所2を取得する
        # @return:: 企業住所2
        #
        def address
          @address = nil unless instance_variable_defined?(:@address)
          @address
        end

        #
        # ===企業住所2を設定する
        # @param:: address 企業住所2
        #
        def address=(address)
          @address = address
        end

        #
        # ===企業住所都道府県を取得する
        # @return:: 企業住所都道府県
        #
        def city
          @city = nil unless instance_variable_defined?(:@city)
          @city
        end

        #
        # ===企業住所都道府県を設定する
        # @param:: city 企業住所都道府県
        #
        def city=(city)
          @city = city
        end

        #
        # ===企業コメントを取得する
        # @return:: 企業コメント
        #
        def description
          @description = nil unless instance_variable_defined?(:@description)
          @description
        end

        #
        # ===企業コメントを設定する
        # @param:: description 企業コメント
        #
        def description=(description)
          @description = description
        end

        #
        # ===企業FAX番号を取得する
        # @return:: 企業FAX番号
        #
        def fax
          @fax = nil unless instance_variable_defined?(:@fax)
          @fax
        end

        #
        # ===企業FAX番号を設定する
        # @param:: fax 企業FAX番号
        #
        def fax=(fax)
          @fax = fax
        end

        #
        # ===企業名を取得する
        # @return:: 企業名
        #
        def name
          @name = nil unless instance_variable_defined?(:@name)
          @name
        end

        #
        # ===企業名を設定する
        # @param:: name 企業名
        #
        def name=(name)
          @name = name
        end

        #
        # ===企業電話番号を取得する
        # @return:: 企業電話番号
        #
        def phone
          @phone = nil unless instance_variable_defined?(:@phone)
          @phone
        end

        #
        # ===企業電話番号を設定する
        # @param:: phone 企業電話番号
        #
        def phone=(phone)
          @phone = phone
        end

        #
        # ===企業ポスト番号を取得する
        # @return:: 企業ポスト番号
        #
        def postbox_number
          @postbox_number = nil unless instance_variable_defined?(:@postbox_number)
          @postbox_number
        end

        #
        # ===企業ポスト番号を設定する
        # @param:: postbox_number 企業ポスト番号
        #
        def postbox_number=(postbox_number)
          @postbox_number = postbox_number
        end

        #
        # ===企業郵便番号を取得する
        # @return:: 企業郵便番号
        #
        def post_code
          @post_code = nil unless instance_variable_defined?(:@post_code)
          @post_code
        end

        #
        # ===企業郵便番号を設定する
        # @param:: post_code 企業郵便番号
        #
        def post_code=(post_code)
          @post_code = post_code
        end

        #
        # ===企業購入フラグを取得する
        # @return:: 企業購入フラグ
        #
        def purchase
          @purchase = nil unless instance_variable_defined?(:@purchase)
          @purchase
        end

        #
        # ===企業購入フラグを設定する
        # @param:: purchase 企業購入フラグ
        #
        def purchase=(purchase)
          @purchase = purchase
        end

        #
        # ===企業住所州を取得する
        # @return:: 企業住所州
        #
        def state
          @state = nil unless instance_variable_defined?(:@state)
          @state
        end

        #
        # ===企業住所州を設定する
        # @param:: state 企業住所州
        #
        def state=(state)
          @state = state
        end

        #
        # ===企業住所1を取得する
        # @return:: 企業住所1
        #
        def street
          @street = nil unless instance_variable_defined?(:@street)
          @street
        end

        #
        # ===企業住所1を設定する
        # @param:: street 企業住所1
        #
        def street=(street)
          @street = street
        end

        #
        # ===企業住所国を取得する
        # @return:: 企業住所国
        #
        def country
          @country = nil unless instance_variable_defined?(:@country)
          @country
        end

        #
        # ===企業住所国を設定する
        # @param:: country 企業住所国
        #
        def country=(country)
          @country = country
        end

        #
        # ===企業住所部屋番号などを取得する
        # @return:: 企業住所部屋番号など
        #
        def suite
          @suite = nil unless instance_variable_defined?(:@suite)
          @suite
        end

        #
        # ===企業住所部屋番号などを設定する
        # @param:: suite 企業住所部屋番号など
        #
        def suite=(suite)
          @suite = suite
        end


      end
    end
  end
end
