# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索結果:オーダー情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class OrderInfo

        #
        # ===インデックスを取得する
        # @return:: インデックス
        #
        def index
          @index = nil unless instance_variable_defined?(:@index)
          @index
        end

        #
        # ===インデックスを設定する
        # @param:: index インデックス
        #
        def index=(index)
          @index = index
        end

        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type_cd
          @service_type_cd = nil unless instance_variable_defined?(:@service_type_cd)
          @service_type_cd
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type_cd 決済サービスタイプ
        #
        def service_type_cd=(service_type_cd)
          @service_type_cd = service_type_cd
        end

        #
        # ===オーダーIDを取得する
        # @return:: オーダーID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===オーダーIDを設定する
        # @param:: order_id オーダーID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===オーダー決済状態を取得する
        # @return:: オーダー決済状態
        #
        def order_status
          @order_status = nil unless instance_variable_defined?(:@order_status)
          @order_status
        end

        #
        # ===オーダー決済状態を設定する
        # @param:: order_status オーダー決済状態
        #
        def order_status=(order_status)
          @order_status = order_status
        end

        #
        # ===最終成功トランザクションタイプを取得する
        # @return:: 最終成功トランザクションタイプ
        #
        def last_success_txn_type
          @last_success_txn_type = nil unless instance_variable_defined?(:@last_success_txn_type)
          @last_success_txn_type
        end

        #
        # ===最終成功トランザクションタイプを設定する
        # @param:: last_success_txn_type 最終成功トランザクションタイプ
        #
        def last_success_txn_type=(last_success_txn_type)
          @last_success_txn_type = last_success_txn_type
        end

        #
        # ===詳細トランザクションタイプを取得する
        # @return:: 詳細トランザクションタイプ
        #
        def success_detail_txn_type
          @success_detail_txn_type = nil unless instance_variable_defined?(:@success_detail_txn_type)
          @success_detail_txn_type
        end

        #
        # ===詳細トランザクションタイプを設定する
        # @param:: success_detail_txn_type 詳細トランザクションタイプ
        #
        def success_detail_txn_type=(success_detail_txn_type)
          @success_detail_txn_type = success_detail_txn_type
        end

        #
        # ===固有オーダー情報を取得する
        # @return:: 固有オーダー情報
        #
        def proper_order_info
          @proper_order_info = nil unless instance_variable_defined?(:@proper_order_info)
          @proper_order_info
        end

        #
        # ===固有オーダー情報を設定する
        # @param:: proper_order_info 固有オーダー情報
        #
        def proper_order_info=(proper_order_info)
          @proper_order_info = proper_order_info
        end

        #
        # ===決済トランザクションリストを取得する
        # @return:: 決済トランザクションリスト
        #
        def transaction_infos
          @transaction_infos = nil unless instance_variable_defined?(:@transaction_infos)
          @transaction_infos
        end

        #
        # ===決済トランザクションリストを設定する
        # @param:: transaction_infos 決済トランザクションリスト
        #
        def transaction_infos=(transaction_infos)
          @transaction_infos = transaction_infos
        end

        #
        # ===取引メモ1を取得する
        # @return:: 取引メモ1
        #
        def memo1
          @memo1 = nil unless instance_variable_defined?(:@memo1)
          @memo1
        end

        #
        # ===取引メモ1を設定する
        # @param:: memo1 取引メモ1
        #
        def memo1=(memo1)
          @memo1 = memo1
        end

        #
        # ===取引メモ2を取得する
        # @return:: 取引メモ2
        #
        def memo2
          @memo2 = nil unless instance_variable_defined?(:@memo2)
          @memo2
        end

        #
        # ===取引メモ2を設定する
        # @param:: memo2 取引メモ2
        #
        def memo2=(memo2)
          @memo2 = memo2
        end

        #
        # ===取引メモ3を取得する
        # @return:: 取引メモ3
        #
        def memo3
          @memo3 = nil unless instance_variable_defined?(:@memo3)
          @memo3
        end

        #
        # ===取引メモ3を設定する
        # @param:: memo3 取引メモ3
        #
        def memo3=(memo3)
          @memo3 = memo3
        end

        #
        # ===キー情報を取得する
        # @return:: キー情報
        #
        def free_key
          @free_key = nil unless instance_variable_defined?(:@free_key)
          @free_key
        end

        #
        # ===キー情報を設定する
        # @param:: free_key キー情報
        #
        def free_key=(free_key)
          @free_key = free_key
        end

        #
        # ===会員IDを取得する
        # @return:: 会員ID
        #
        def account_id
          @account_id = nil unless instance_variable_defined?(:@account_id)
          @account_id
        end

        #
        # ===会員IDを設定する
        # @param:: account_id 会員ID
        #
        def account_id=(account_id)
          @account_id = account_id
        end

      end
    end
  end
end
