# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:ショッピングクレジット検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class OricoscSearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
           @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===注文番号を取得する
        # @return:: 注文番号
        #
        def orico_order_no
           @orico_order_no = nil unless instance_variable_defined?(:@orico_order_no)
          @orico_order_no
        end

        #
        # ===注文番号を設定する
        # @param:: orico_order_no 注文番号
        #
        def orico_order_no=(orico_order_no)
          @orico_order_no = orico_order_no
        end

        #
        # ===支払金額合計（From, To）を取得する
        # @return:: 支払金額合計（From, To）
        #
        def amount
           @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===支払金額合計（From, To）を設定する
        # @param:: amount 支払金額合計（From, To）
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===商品価格合計（From, To）を取得する
        # @return:: 商品価格合計（From, To）
        #
        def total_item_amount
           @total_item_amount = nil unless instance_variable_defined?(:@total_item_amount)
          @total_item_amount
        end

        #
        # ===商品価格合計（From, To）を設定する
        # @param:: total_item_amount 商品価格合計（From, To）
        #
        def total_item_amount=(total_item_amount)
          @total_item_amount = total_item_amount
        end

      end
    end
  end
end
