# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =PayNowIdの応答クラス
      #
      # @author:: VeriTrans Inc.
      #
      class PayNowIdResponse

        #
        # ===会員管理処理番号を取得する
        # @return:: 会員管理処理番号
        #
        def process_id
          @process_id = nil unless instance_variable_defined?(:@process_id)
          @process_id
        end

        #
        # ===会員管理処理番号を設定する
        # @param:: process_id 会員管理処理番号
        #
        def process_id=(process_id)
          @process_id = process_id
        end

        #
        # ===会員管理ステータスを取得する
        # - "success":成功
        # - "failure":失敗
        # @return:: 会員管理ステータス
        #
        def status
          @status = nil unless instance_variable_defined?(:@status)
          @status
        end

        #
        # ===会員管理ステータスを設定する
        # @param:: status 会員管理ステータス
        #
        def status=(status)
          @status = status
        end

        #
        # ===会員管理メッセージを取得する
        # @return:: 会員管理メッセージ
        #
        def message
          @message = nil unless instance_variable_defined?(:@message)
          @message
        end

        #
        # ===会員管理メッセージを設定する
        # @param:: message 会員管理メッセージ
        #
        def message=(message)
          @message = message
        end

        #
        # ===会員情報を取得する
        # @return:: 会員情報
        #
        def account
          @account = nil unless instance_variable_defined?(:@account)
          @account
        end

        #
        # ===会員情報を設定する
        # @param:: account 会員情報
        #
        def account=(account)
          @account = account
        end

        #
        # ===PayNowID結果オプションを取得する
        # @return:: PayNowID結果オプション
        #
        def option_results
          @option_results = nil unless instance_variable_defined?(:@option_results)
          @option_results
        end

        #
        # ===PayNowID結果オプションを設定する
        # @param:: option_results PayNowID結果オプション
        #
        def option_results=(option_results)
          @option_results = option_results
        end

      end
    end
  end
end
