# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索結果:固有トランザクション情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class ProperTransactionInfo

        #
        # ===トランザクション種別を取得する
        # @return:: トランザクション種別
        #
        def txn_kind
          @txn_kind = nil unless instance_variable_defined?(:@txn_kind)
          @txn_kind
        end

        #
        # ===トランザクション種別を設定する
        # @param:: txn_kind トランザクション種別
        #
        def txn_kind=(txn_kind)
          @txn_kind = txn_kind
        end

        #
        # ===取引対象タイプを取得する
        # @return:: 取引対象タイプ
        #
        def em_txn_type
          @em_txn_type = nil unless instance_variable_defined?(:@em_txn_type)
          @em_txn_type
        end

        #
        # ===取引対象タイプを設定する
        # @param:: em_txn_type 取引対象タイプ
        #
        def em_txn_type=(em_txn_type)
          @em_txn_type = em_txn_type
        end

        #
        # ===取引日時を取得する
        # @return:: 取引日時
        #
        def center_proc_datetime
          @center_proc_datetime = nil unless instance_variable_defined?(:@center_proc_datetime)
          @center_proc_datetime
        end

        #
        # ===取引日時を設定する
        # @param:: center_proc_datetime 取引日時
        #
        def center_proc_datetime=(center_proc_datetime)
          @center_proc_datetime = center_proc_datetime
        end

        #
        # ===カード種別を取得する
        # @return:: カード種別
        #
        def card_type
          @card_type = nil unless instance_variable_defined?(:@card_type)
          @card_type
        end

        #
        # ===カード種別を設定する
        # @param:: card_type カード種別
        #
        def card_type=(card_type)
          @card_type = card_type
        end

        #
        # ===取引カード番号を取得する
        # @return:: 取引カード番号
        #
        def card_no
          @card_no = nil unless instance_variable_defined?(:@card_no)
          @card_no
        end

        #
        # ===取引カード番号を設定する
        # @param:: card_no 取引カード番号
        #
        def card_no=(card_no)
          @card_no = card_no
        end

        #
        # ===取引カードブランドコードを取得する
        # @return:: 取引カードブランドコード
        #
        def card_brand_code
          @card_brand_code = nil unless instance_variable_defined?(:@card_brand_code)
          @card_brand_code
        end

        #
        # ===取引カードブランドコードを設定する
        # @param:: card_brand_code 取引カードブランドコード
        #
        def card_brand_code=(card_brand_code)
          @card_brand_code = card_brand_code
        end

        #
        # ===決済ステータスを取得する
        # @return:: 決済ステータス
        #
        def settlement_status
          @settlement_status = nil unless instance_variable_defined?(:@settlement_status)
          @settlement_status
        end

        #
        # ===決済ステータスを設定する
        # @param:: settlement_status 決済ステータス
        #
        def settlement_status=(settlement_status)
          @settlement_status = settlement_status
        end

        #
        # ===API実行IDを取得する
        # @return:: API実行ID
        #
        def log_id
          @log_id = nil unless instance_variable_defined?(:@settlement_status)
          @log_id
        end

        #
        # ===API実行IDを設定する
        # @param:: log_id API実行ID
        #
        def log_id=(log_id)
          @log_id = log_id
        end

        #
        # ===センター要求日時を取得する
        # @return:: センター要求日時
        #
        def center_request_datetime
          @center_request_datetime = nil unless instance_variable_defined?(:@center_request_datetime)
          @center_request_datetime
        end

        #
        # ===センター要求日時を設定する
        # @param:: center_request_datetime センター要求日時
        def center_request_datetime=(center_request_datetime)
          @center_request_datetime = center_request_datetime
        end

        #
        # ===センター応答日時を取得する
        # @return:: センター応答日時
        #
        def center_response_datetime
          @center_response_datetime = nil unless instance_variable_defined?(:@center_response_datetime)
          @center_response_datetime
        end

        #
        # ===センター応答日時を設定する
        # @param:: center_response_datetime センター応答日時
        #
        def center_response_datetime=(center_response_datetime)
          @center_response_datetime = center_response_datetime
        end

        #
        # ===取引対象タイプを取得する
        # @return:: 取引対象タイプ
        #
        def cvs_txn_type
          @cvs_txn_type = nil unless instance_variable_defined?(:@cvs_txn_type)
          @cvs_txn_type
        end

        #
        # ===取引対象タイプを設定する
        # @param:: cvs_txn_type 取引対象タイプ
        #
        def cvs_txn_type=(cvs_txn_type)
          @cvs_txn_type = cvs_txn_type
        end

        #
        # ===対象取引タイプを取得する
        # @return:: 対象取引タイプ
        #
        def pe_txn_type
          @pe_txn_type = nil unless instance_variable_defined?(:@pe_txn_type)
          @pe_txn_type
        end

        #
        # ===対象取引タイプを設定する
        # @param:: pe_txn_type 対象取引タイプ
        #
        def pe_txn_type=(pe_txn_type)
          @pe_txn_type = pe_txn_type
        end

        #
        # ===受付番号を取得する
        # @return:: 受付番号
        #
        def receipt_no
          @receipt_no = nil unless instance_variable_defined?(:@receipt_no)
          @receipt_no
        end

        #
        # ===受付番号を設定する
        # @param:: receipt_no 受付番号
        #
        def receipt_no=(receipt_no)
          @receipt_no = receipt_no
        end

        #
        # ===取引日時を取得する
        # @return:: 取引日時
        #
        def start_datetime
          @start_datetime = nil unless instance_variable_defined?(:@start_datetime)
          @start_datetime
        end

        #
        # ===取引日時を設定する
        # @param:: start_datetime 取引日時
        #
        def start_datetime=(start_datetime)
          @start_datetime = start_datetime
        end

        #
        # ===カードトランザクションタイプを取得する
        # @return:: カードトランザクションタイプ
        #
        def card_transaction_type
          @card_transaction_type || nil
        end

        #
        # ===カードトランザクションタイプを設定する
        # @param:: card_transaction_type カードトランザクションタイプ
        #
        def card_transaction_type=(card_transaction_type)
          @card_transaction_type = card_transaction_type
        end

        #
        # ===ゲートウェイ要求日時を取得する
        # @return:: ゲートウェイ要求日時
        #
        def gateway_request_date
          @gateway_request_date = nil unless instance_variable_defined?(:@gateway_request_date)
          @gateway_request_date
        end

        #
        # ===ゲートウェイ要求日時を設定する
        # @param:: gateway_request_date ゲートウェイ要求日時
        #
        def gateway_request_date=(gateway_request_date)
          @gateway_request_date = gateway_request_date
        end

        #
        # ===ゲートウェイ応答日時を取得する
        # @return:: ゲートウェイ応答日時
        #
        def gateway_response_date
          @gateway_response_date = nil unless instance_variable_defined?(:@gateway_response_date)
          @gateway_response_date
        end

        #
        # ===ゲートウェイ応答日時を設定する
        # @param:: gateway_response_date ゲートウェイ応答日時
        #
        def gateway_response_date=(gateway_response_date)
          @gateway_response_date = gateway_response_date
        end

        #
        # ===センター要求日時を取得する
        # @return:: センター要求日時
        #
        def center_request_date
          @center_request_date = nil unless instance_variable_defined?(:@center_request_date)
          @center_request_date
        end

        #
        # ===センター要求日時を設定する
        # @param:: center_request_date センター要求日時
        #
        def center_request_date=(center_request_date)
          @center_request_date = center_request_date
        end

        #
        # ===センター応答日時を取得する
        # @return:: センター応答日時
        #
        def center_response_date
          @center_response_date = nil unless instance_variable_defined?(:@center_response_date)
          @center_response_date
        end

        #
        # ===センター応答日時を設定する
        # @param:: center_response_date センター応答日時
        #
        def center_response_date=(center_response_date)
          @center_response_date = center_response_date
        end

        #
        # ===センター要求番号を取得する
        # @return:: センター要求番号
        #
        def center_request_number
          @center_request_number = nil unless instance_variable_defined?(:@center_request_number)
          @center_request_number
        end

        #
        # ===センター要求番号を設定する
        # @param:: center_request_number センター要求番号
        #
        def center_request_number=(center_request_number)
          @center_request_number = center_request_number
        end

        #
        # ===センターリファレンス番号を取得する
        # @return:: センターリファレンス番号
        #
        def center_reference_number
          @center_reference_number = nil unless instance_variable_defined?(:@center_reference_number)
          @center_reference_number
        end

        #
        # ===センターリファレンス番号を設定する
        # @param:: center_reference_number センターリファレンス番号
        #
        def center_reference_number=(center_reference_number)
          @center_reference_number = center_reference_number
        end

        #
        # ===要求商品コードを取得する
        # @return:: 要求商品コード
        #
        def req_item_code
          @req_item_code = nil unless instance_variable_defined?(:@req_item_code)
          @req_item_code
        end

        #
        # ===要求商品コードを設定する
        # @param:: req_item_code 要求商品コード
        #
        def req_item_code=(req_item_code)
          @req_item_code = req_item_code
        end

        #
        # ===応答商品コードを取得する
        # @return:: 応答商品コード
        #
        def res_item_code
          @res_item_code = nil unless instance_variable_defined?(:@res_item_code)
          @res_item_code
        end

        #
        # ===応答商品コードを設定する
        # @param:: res_item_code 応答商品コード
        #
        def res_item_code=(res_item_code)
          @res_item_code = res_item_code
        end

        #
        # ===要求リターン参照番号を取得する
        # @return:: 要求リターン参照番号
        #
        def req_return_reference_number
          @req_return_reference_number = nil unless instance_variable_defined?(:@req_return_reference_number)
          @req_return_reference_number
        end

        #
        # ===要求リターン参照番号を設定する
        # @param:: req_return_reference_number 要求リターン参照番号
        #
        def req_return_reference_number=(req_return_reference_number)
          @req_return_reference_number = req_return_reference_number
        end

        #
        # ===応答データを取得する
        # @return:: 応答データ
        #
        def responsedata
          @responsedata = nil unless instance_variable_defined?(:@responsedata)
          @responsedata
        end

        #
        # ===応答データを設定する
        # @param:: responsedata 応答データ
        #
        def responsedata=(responsedata)
          @responsedata = responsedata
        end

        #
        # ===ペンディングを取得する
        # @return:: ペンディング
        #
        def pending
          @pending = nil unless instance_variable_defined?(:@pending)
          @pending
        end

        #
        # ===ペンディングを設定する
        # @param:: pending ペンディング
        #
        def pending=(pending)
          @pending = pending
        end

        #
        # ===ループバックを取得する
        # @return:: ループバック
        #
        def loopback
          @loopback = nil unless instance_variable_defined?(:@loopback)
          @loopback
        end

        #
        # ===ループバックを設定する
        # @param:: loopback ループバック
        #
        def loopback=(loopback)
          @loopback = loopback
        end

        #
        # ===接続先カード接続センターを取得する
        # @return:: 接続先カード接続センター
        #
        def connected_center_id
          @connected_center_id = nil unless instance_variable_defined?(:@connected_center_id)
          @connected_center_id
        end

        #
        # ===接続先カード接続センターを設定する
        # @param:: connected_center_id 接続先カード接続センター
        #
        def connected_center_id=(connected_center_id)
          @connected_center_id = connected_center_id
        end

        #
        # ===要求カード番号を取得する
        # @return:: 要求カード番号
        #
        def req_card_number
          @req_card_number = nil unless instance_variable_defined?(:@req_card_number)
          @req_card_number
        end

        #
        # ===要求カード番号を設定する
        # @param:: req_card_number 要求カード番号
        #
        def req_card_number=(req_card_number)
          @req_card_number = req_card_number
        end

        #
        # ===要求カード有効期限を取得する
        # @return:: 要求カード有効期限
        #
        def req_card_expire
          @req_card_expire = nil unless instance_variable_defined?(:@req_card_expire)
          @req_card_expire
        end

        #
        # ===要求カード有効期限を設定する
        # @param:: req_card_expire 要求カード有効期限
        #
        def req_card_expire=(req_card_expire)
          @req_card_expire = req_card_expire
        end

        #
        # ===要求カードオプションタイプを取得する
        # @return:: 要求カードオプションタイプ
        #
        def req_amount
          @req_amount = nil unless instance_variable_defined?(:@req_amount)
          @req_amount
        end

        #
        # ===要求カードオプションタイプを設定する
        # @param:: req_amount 要求カードオプションタイプ
        #
        def req_amount=(req_amount)
          @req_amount = req_amount
        end

        #
        # ===要求取引金額を取得する
        # @return:: 要求取引金額
        #
        def req_card_option_type
          @req_card_option_type = nil unless instance_variable_defined?(:@req_card_option_type)
          @req_card_option_type
        end

        #
        # ===要求取引金額を設定する
        # @param:: req_card_option_type 要求取引金額
        #
        def req_card_option_type=(req_card_option_type)
          @req_card_option_type = req_card_option_type
        end

        #
        # ===要求マーチャントトランザクション番号を取得する
        # @return:: 要求マーチャントトランザクション番号
        #
        def req_merchant_transaction
          @req_merchant_transaction = nil unless instance_variable_defined?(:@req_merchant_transaction)
          @req_merchant_transaction
        end

        #
        # ===要求マーチャントトランザクション番号を設定する
        # @param:: req_merchant_transaction 要求マーチャントトランザクション番号
        #
        def req_merchant_transaction=(req_merchant_transaction)
          @req_merchant_transaction = req_merchant_transaction
        end

        #
        # ===要求承認番号を取得する
        # @return:: 要求承認番号
        #
        def req_auth_code
          @req_auth_code = nil unless instance_variable_defined?(:@req_auth_code)
          @req_auth_code
        end

        #
        # ===要求承認番号を設定する
        # @param:: req_auth_code 要求承認番号
        #
        def req_auth_code=(req_auth_code)
          @req_auth_code = req_auth_code
        end

        #
        # ===要求仕向先コードを取得する
        # @return:: 要求仕向先コード
        #
        def req_acquirer_code
          @req_acquirer_code = nil unless instance_variable_defined?(:@req_acquirer_code)
          @req_acquirer_code
        end

        #
        # ===要求仕向先コードを設定する
        # @param:: req_acquirer_code 要求仕向先コード
        #
        def req_acquirer_code=(req_acquirer_code)
          @req_acquirer_code = req_acquirer_code
        end

        #
        # ===要求カードセンターを取得する
        # @return:: 要求カードセンター
        #
        def req_card_center
          @req_card_center = nil unless instance_variable_defined?(:@req_card_center)
          @req_card_center
        end

        #
        # ===要求カードセンターを設定する
        # @param:: req_card_center 要求カードセンター
        #
        def req_card_center=(req_card_center)
          @req_card_center = req_card_center
        end

        #
        # ===要求JPO情報を取得する
        # @return:: 要求JPO情報
        #
        def req_jpo_information
          @req_jpo_information = nil unless instance_variable_defined?(:@req_jpo_information)
          @req_jpo_information
        end

        #
        # ===要求JPO情報を設定する
        # @param:: req_jpo_information 要求JPO情報
        #
        def req_jpo_information=(req_jpo_information)
          @req_jpo_information = req_jpo_information
        end

        #
        # ===要求売上日を取得する
        # @return:: 要求売上日
        #
        def req_sales_day
          @req_sales_day = nil unless instance_variable_defined?(:@req_sales_day)
          @req_sales_day
        end

        #
        # ===要求売上日を設定する
        # @param:: req_sales_day 要求売上日
        #
        def req_sales_day=(req_sales_day)
          @req_sales_day = req_sales_day
        end

        #
        # ===要求取消日を取得する
        # @return:: 要求取消日
        #
        def req_cancel_day
          @req_cancel_day = nil unless instance_variable_defined?(:@req_cancel_day)
          @req_cancel_day
        end

        #
        # ===要求取消日を設定する
        # @param:: req_cancel_day 要求取消日
        #
        def req_cancel_day=(req_cancel_day)
          @req_cancel_day = req_cancel_day
        end

        #
        # ===要求同時売上を取得する
        # @return:: 要求同時売上
        #
        def req_with_capture
          @req_with_capture = nil unless instance_variable_defined?(:@req_with_capture)
          @req_with_capture
        end

        #
        # ===要求同時売上を設定する
        # @param:: req_with_capture 要求同時売上
        #
        def req_with_capture=(req_with_capture)
          @req_with_capture = req_with_capture
        end

        #
        # ===要求同時直接を取得する
        # @return:: 要求同時直接
        #
        def req_with_direct
          @req_with_direct = nil unless instance_variable_defined?(:@req_with_direct)
          @req_with_direct
        end

        #
        # ===要求同時直接を設定する
        # @param:: req_with_direct 要求同時直接
        #
        def req_with_direct=(req_with_direct)
          @req_with_direct = req_with_direct
        end

        #
        # ===要求3Dメッセージバージョンを取得する
        # @return:: 要求3Dメッセージバージョン
        #
        def req3d_message_version
          @req3d_message_version = nil unless instance_variable_defined?(:@req3d_message_version)
          @req3d_message_version
        end

        #
        # ===要求3Dメッセージバージョンを設定する
        # @param:: req3d_message_version 要求3Dメッセージバージョン
        #
        def req3d_message_version=(req3d_message_version)
          @req3d_message_version = req3d_message_version
        end

        #
        # ===要求3DトランザクションIDを取得する
        # @return:: 要求3DトランザクションID
        #
        def req3d_transaction_id
          @req3d_transaction_id = nil unless instance_variable_defined?(:@req3d_transaction_id)
          @req3d_transaction_id
        end

        #
        # ===要求3DトランザクションIDを設定する
        # @param:: req3d_transaction_id 要求3DトランザクションID
        #
        def req3d_transaction_id=(req3d_transaction_id)
          @req3d_transaction_id = req3d_transaction_id
        end

        #
        # ===要求3Dトランザクションステータスを取得する
        # @return:: 要求3Dトランザクションステータス
        #
        def req3d_transaction_status
          @req3d_transaction_status = nil unless instance_variable_defined?(:@req3d_transaction_status)
          @req3d_transaction_status
        end

        #
        # ===要求3Dトランザクションステータスを設定する
        # @param:: req3d_transaction_status 要求3Dトランザクションステータス
        #
        def req3d_transaction_status=(req3d_transaction_status)
          @req3d_transaction_status = req3d_transaction_status
        end

        #
        # ===要求3D CAVVアルゴリズムを取得する
        # @return:: 要求3D CAVVアルゴリズム
        #
        def req3d_cavv_algorithm
          @req3d_cavv_algorithm = nil unless instance_variable_defined?(:@req3d_cavv_algorithm)
          @req3d_cavv_algorithm
        end

        #
        # ===要求3D CAVVアルゴリズムを設定する
        # @param:: req3d_cavv_algorithm 要求3D CAVVアルゴリズム
        #
        def req3d_cavv_algorithm=(req3d_cavv_algorithm)
          @req3d_cavv_algorithm = req3d_cavv_algorithm
        end

        #
        # ===要求3D CAVVを取得する
        # @return:: 要求3D CAVV
        #
        def req3d_cavv
          @req3d_cavv = nil unless instance_variable_defined?(:@req3d_cavv)
          @req3d_cavv
        end

        #
        # ===要求3D CAVVを設定する
        # @param:: req3d_cavv 要求3D CAVV
        #
        def req3d_cavv=(req3d_cavv)
          @req3d_cavv = req3d_cavv
        end

        #
        # ===要求3D ECIを取得する
        # @return:: 要求3D ECI
        #
        def req3d_eci
          @req3d_eci = nil unless instance_variable_defined?(:@req3d_eci)
          @req3d_eci
        end

        #
        # ===要求3D ECIを設定する
        # @param:: req3d_eci 要求3D ECI
        #
        def req3d_eci=(req3d_eci)
          @req3d_eci = req3d_eci
        end

        #
        # ===要求3D DSトランザクションIDを取得する
        # @return:: 要求3D DSトランザクションID
        #
        def req3d_ds_transaction_id
          @req3d_ds_transaction_id = nil unless instance_variable_defined?(:@req3d_ds_transaction_id)
          @req3d_ds_transaction_id
        end

        #
        # ===要求3D DSトランザクションIDを設定する
        # @param:: req3d_ds_transaction_id 要求3D DSトランザクションID
        #
        def req3d_ds_transaction_id=(req3d_ds_transaction_id)
          @req3d_ds_transaction_id = req3d_ds_transaction_id
        end

        #
        # ===要求3DサーバトランザクションIDを取得する
        # @return:: 要求3DサーバトランザクションID
        #
        def req3d_server_transaction_id
          @req3d_server_transaction_id = nil unless instance_variable_defined?(:@req3d_server_transaction_id)
          @req3d_server_transaction_id
        end

        #
        # ===要求3DサーバトランザクションIDを設定する
        # @param:: req3d_server_transaction_id 要求3DサーバトランザクションID
        #
        def req3d_server_transaction_id=(req3d_server_transaction_id)
          @req3d_server_transaction_id = req3d_server_transaction_id
        end

        #
        # ===要求セキュリティコードを取得する
        # @return:: 要求セキュリティコード
        #
        def req_security_code
          @req_security_code = nil unless instance_variable_defined?(:@req_security_code)
          @req_security_code
        end

        #
        # ===要求セキュリティコードを設定する
        # @param:: req_security_code 要求セキュリティコード
        #
        def req_security_code=(req_security_code)
          @req_security_code = req_security_code
        end

        #
        # ===要求認証番号を取得する
        # @return:: 要求認証番号
        #
        def req_auth_flag
          @req_auth_flag = nil unless instance_variable_defined?(:@req_auth_flag)
          @req_auth_flag
        end

        #
        # ===要求認証番号を設定する
        # @param:: req_auth_flag 要求認証番号
        #
        def req_auth_flag=(req_auth_flag)
          @req_auth_flag = req_auth_flag
        end

        #
        # ===要求誕生日を取得する
        # @return:: 要求誕生日
        #
        def req_birthday
          @req_birthday = nil unless instance_variable_defined?(:@req_birthday)
          @req_birthday
        end

        #
        # ===要求誕生日を設定する
        # @param:: req_birthday 要求誕生日
        #
        def req_birthday=(req_birthday)
          @req_birthday = req_birthday
        end

        #
        # ===要求電話番号を取得する
        # @return:: 要求電話番号
        #
        def req_tel
          @req_tel = nil unless instance_variable_defined?(:@req_tel)
          @req_tel
        end

        #
        # ===要求電話番号を設定する
        # @param:: req_tel 要求電話番号
        #
        def req_tel=(req_tel)
          @req_tel = req_tel
        end

        #
        # ===要求カナ名前（名）を取得する
        # @return:: 要求カナ名前（名）
        #
        def req_first_kana_name
          @req_first_kana_name = nil unless instance_variable_defined?(:@req_first_kana_name)
          @req_first_kana_name
        end

        #
        # ===要求カナ名前（名）を設定する
        # @param:: req_first_kana_name 要求カナ名前（名）
        #
        def req_first_kana_name=(req_first_kana_name)
          @req_first_kana_name = req_first_kana_name
        end

        #
        # ===要求カナ名前（姓）を取得する
        # @return:: 要求カナ名前（姓）
        #
        def req_last_kana_name
          @req_last_kana_name = nil unless instance_variable_defined?(:@req_last_kana_name)
          @req_last_kana_name
        end

        #
        # ===要求カナ名前（姓）を設定する
        # @param:: req_last_kana_name 要求カナ名前（姓）
        #
        def req_last_kana_name=(req_last_kana_name)
          @req_last_kana_name = req_last_kana_name
        end

        #
        # ===応答マーチャントトランザクション番号を取得する
        # @return:: 応答マーチャントトランザクション番号
        #
        def res_merchant_transaction
          @res_merchant_transaction = nil unless instance_variable_defined?(:@res_merchant_transaction)
          @res_merchant_transaction
        end

        #
        # ===応答マーチャントトランザクション番号を設定する
        # @param:: res_merchant_transaction 応答マーチャントトランザクション番号
        #
        def res_merchant_transaction=(res_merchant_transaction)
          @res_merchant_transaction = res_merchant_transaction
        end

        #
        # ===応答リターン参照番号を取得する
        # @return:: 応答リターン参照番号
        #
        def res_return_reference_number
          @res_return_reference_number = nil unless instance_variable_defined?(:@res_return_reference_number)
          @res_return_reference_number
        end

        #
        # ===応答リターン参照番号を設定する
        # @param:: res_return_reference_number 応答リターン参照番号
        #
        def res_return_reference_number=(res_return_reference_number)
          @res_return_reference_number = res_return_reference_number
        end

        #
        # ===応答承認番号を取得する
        # @return:: 応答承認番号
        #
        def res_auth_code
          @res_auth_code = nil unless instance_variable_defined?(:@res_auth_code)
          @res_auth_code
        end

        #
        # ===応答承認番号を設定する
        # @param:: res_auth_code 応答承認番号
        #
        def res_auth_code=(res_auth_code)
          @res_auth_code = res_auth_code
        end

        #
        # ===アクションコードを取得する
        # @return:: アクションコード
        #
        def res_action_code
          @res_action_code = nil unless instance_variable_defined?(:@res_action_code)
          @res_action_code
        end

        #
        # ===アクションコードを設定する
        # @param:: res_action_code アクションコード
        #
        def res_action_code=(res_action_code)
          @res_action_code = res_action_code
        end

        #
        # ===応答センターエラーコードを取得する
        # @return:: 応答センターエラーコード
        #
        def res_center_error_code
          @res_center_error_code = nil unless instance_variable_defined?(:@res_center_error_code)
          @res_center_error_code
        end

        #
        # ===応答センターエラーコードを設定する
        # @param:: res_center_error_code 応答センターエラーコード
        #
        def res_center_error_code=(res_center_error_code)
          @res_center_error_code = res_center_error_code
        end

        #
        # ===応答与信期間を取得する
        # @return:: 応答与信期間
        #
        def res_auth_term
          @res_auth_term = nil unless instance_variable_defined?(:@res_auth_term)
          @res_auth_term
        end

        #
        # ===応答与信期間を設定する
        # @param:: res_auth_term 応答与信期間
        #
        def res_auth_term=(res_auth_term)
          @res_auth_term = res_auth_term
        end

        #
        # ===要求新規返品を取得する
        # @return:: 要求新規返品
        #
        def req_with_new
          @req_with_new = nil unless instance_variable_defined?(:@req_with_new)
          @req_with_new
        end

        #
        # ===要求新規返品を設定する
        # @param:: req_with_new 要求新規返品
        #
        def req_with_new=(req_with_new)
          @req_with_new = req_with_new
        end

        #
        # ===取引金額を取得する
        # @return:: 取引金額
        #
        def amount
          @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===取引金額を設定する
        # @param:: amount 取引金額
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===決済完了フラグを取得する
        # @return:: 決済完了フラグ
        #
        def txn_fixed
          @txn_fixed = nil unless instance_variable_defined?(:@txn_fixed)
          @txn_fixed
        end

        #
        # ===決済完了フラグを設定する
        # @param:: txn_fixed 決済完了フラグ
        #
        def txn_fixed=(txn_fixed)
          @txn_fixed = txn_fixed
        end

        #
        # ===Paypal対象取引タイプを取得する
        # @return:: 対象取引タイプ
        #
        def pp_txn_type
          @pp_txn_type = nil unless instance_variable_defined?(:@pp_txn_type)
          @pp_txn_type
        end

        #
        # ===Paypal対象取引タイプを設定する
        # @param:: pp_txn_type 対象取引タイプ
        #
        def pp_txn_type=(pp_txn_type)
          @pp_txn_type = pp_txn_type
        end

        #
        # ===Paypal取引識別子を取得する
        # @return:: 取引識別子
        #
        def center_txn_id
          @center_txn_id = nil unless instance_variable_defined?(:@center_txn_id)
          @center_txn_id
        end

        #
        # ===Paypal取引識別子を設定する
        # @param:: center_txn_id 取引識別子
        #
        def center_txn_id=(center_txn_id)
          @center_txn_id = center_txn_id
        end

        #
        # ===手数料を取得する
        # @return:: 手数料
        #
        def fee_amount
          @fee_amount = nil unless instance_variable_defined?(:@fee_amount)
          @fee_amount
        end

        #
        # ===手数料を設定する
        # @param:: fee_amount 手数料
        #
        def fee_amount=(fee_amount)
          @fee_amount = fee_amount
        end

        #
        # ===Paypal外貨換算レートを取得する
        # @return:: 外貨換算レート
        #
        def exchange_rate
          @exchange_rate = nil unless instance_variable_defined?(:@exchange_rate)
          @exchange_rate
        end

        #
        # ===Paypal外貨換算レートを設定する
        # @param:: exchange_rate 外貨換算レート
        #
        def exchange_rate=(exchange_rate)
          @exchange_rate = exchange_rate
        end

        #
        # ===Paypal純返金金額を取得する
        # @return:: 純返金金額
        #
        def net_refund_amount
          @net_refund_amount = nil unless instance_variable_defined?(:@net_refund_amount)
          @net_refund_amount
        end

        #
        # ===Paypal純返金金額を設定する
        # @param:: net_refund_amount 純返金金額
        #
        def net_refund_amount=(net_refund_amount)
          @net_refund_amount = net_refund_amount
        end

        #
        # ===MPIトランザクションタイプを取得する
        # @return:: MPIトランザクションタイプ
        #
        def mpi_transaction_type
          @mpi_transaction_type = nil unless instance_variable_defined?(:@mpi_transaction_type)
          @mpi_transaction_type
        end

        #
        # ===MPIトランザクションタイプを設定する。
        # @param:: mpi_transaction_type MPIトランザクションタイプ
        #
        def mpi_transaction_type=(mpi_transaction_type)
          @mpi_transaction_type = mpi_transaction_type
        end

        #
        # ===リダイレクションURIを取得する
        # @return:: リダイレクションURI
        #
        def req_redirection_uri
          @req_redirection_uri = nil unless instance_variable_defined?(:@req_redirection_uri)
          @req_redirection_uri
        end

        #
        # ===リダイレクションURIを設定する
        # @param:: req_redirection_uri リダイレクションURI
        #
        def req_redirection_uri=(req_redirection_uri)
          @req_redirection_uri = req_redirection_uri
        end

        #
        # ===カード会社IDを取得する
        # @return:: カード会社ID
        #
        def corporation_id
          @corporation_id = nil unless instance_variable_defined?(:@corporation_id)
          @corporation_id
        end

        #
        # ===カード会社IDを設定する
        # @param:: corporation_id カード会社ID
        #
        def corporation_id=(corporation_id)
          @corporation_id = corporation_id
        end

        #
        # ===ブランドIDを取得する
        # @return:: ブランドID
        #
        def brand_id
          @brand_id = nil unless instance_variable_defined?(:@brand_id)
          @brand_id
        end

        #
        # ===ブランドIDを設定する
        # @param:: brand_id ブランドID
        #
        def brand_id=(brand_id)
          @brand_id = brand_id
        end

        #
        # ===仕向先バイナリを取得する
        # @return:: 仕向先バイナリ
        #
        def acquirer_binary
          @acquirer_binary = nil unless instance_variable_defined?(:@acquirer_binary)
          @acquirer_binary
        end

        #
        # ===仕向先バイナリを取得する
        # @param:: acquirer_binary 仕向先バイナリ
        #
        def acquirer_binary=(acquirer_binary)
          @acquirer_binary = acquirer_binary
        end

        #
        # ===ディレクトリサービスログインIDを取得する
        # @return:: ディレクトリサービスログインID
        #
        def ds_login_id
          @ds_login_id = nil unless instance_variable_defined?(:@ds_login_id)
          @ds_login_id
        end

        #
        # ===ディレクトリサービスログインIDを設定する
        # @param:: ds_login_id ディレクトリサービスログインID
        #
        def ds_login_id=(ds_login_id)
          @ds_login_id = ds_login_id
        end

        #
        # ===CRRSステータスを取得する
        # @return:: CRRSステータス
        #
        def crres_status
          @crres_status = nil unless instance_variable_defined?(:@crres_status)
          @crres_status
        end

        #
        # ===CRRSステータスを設定する
        # @param:: crres_status CRRSステータス
        #
        def crres_status=(crres_status)
          @crres_status = crres_status
        end

        #
        # ===VERESステータスを取得する
        # @return:: VERESステータス
        #
        def veres_status
          @veres_status = nil unless instance_variable_defined?(:@veres_status)
          @veres_status
        end

        #
        # === VERESステータスを設定する
        # @param:: veres_status VERESステータス
        #
        def veres_status=(veres_status)
          @veres_status = veres_status
        end

        #
        # ===PARESサインを取得する
        # @return:: PARESサイン
        #
        def pares_sign
          @pares_sign = nil unless instance_variable_defined?(:@pares_sign)
          @pares_sign
        end

        #
        # === PARESサインを設定する
        # @param:: pares_sign PARESサイン
        #
        def pares_sign=(pares_sign)
          @pares_sign = pares_sign
        end

        #
        # ===PARESステータスを取得する
        # @return:: PARESステータス
        #
        def pares_status
          @pares_status = nil unless instance_variable_defined?(:@pares_status)
          @pares_status
        end

        #
        # === PARESステータスを設定する
        # @param:: pares_status PARESステータス
        #
        def pares_status=(pares_status)
          @pares_status = pares_status
        end

        #
        # === PARES ECIを取得する
        # @return::  PARES ECI
        #
        def pares_eci
          @pares_eci = nil unless instance_variable_defined?(:@pares_eci)
          @pares_eci
        end

        #
        # ===PARES ECIを設定する
        # @param:: pares_eci PARES ECI
        #
        def pares_eci=(pares_eci)
          @pares_eci = pares_eci
        end

        #
        # ===本人認証レスポンスコードを取得する
        # @return:: 本人認証レスポンスコード
        #
        def auth_response_code
          @auth_response_code = nil unless instance_variable_defined?(:@auth_response_code)
          @auth_response_code
        end

        #
        # ===本人認証レスポンスコードを設定する
        # @param:: auth_response_code 本人認証レスポンスコード
        #
        def auth_response_code=(auth_response_code)
          @auth_response_code = auth_response_code
        end

        #
        # ===検証レスポンスコードを取得する
        # @return:: 検証レスポンスコード
        #
        def verify_response_code
          @verify_response_code = nil unless instance_variable_defined?(:@verify_response_code)
          @verify_response_code
        end

        #
        # ===検証レスポンスコードを設定する
        # @param:: verify_response_code 検証レスポンスコード
        #
        def verify_response_code=(verify_response_code)
          @verify_response_code = verify_response_code
        end

        #
        # ===応答3Dメッセージバージョンを取得する
        # @return:: 応答3Dメッセージバージョン
        #
        def res3d_message_version
          @res3d_message_version = nil unless instance_variable_defined?(:@res3d_message_version)
          @res3d_message_version
        end

        #
        # ===応答3Dメッセージバージョンを設定する
        # @param:: res3d_message_version 応答3Dメッセージバージョン
        #
        def res3d_message_version=(res3d_message_version)
          @res3d_message_version = res3d_message_version
        end

        #
        # ===応答3DトランザクションIDを取得する
        # @return:: 応答3DトランザクションID
        #
        def res3d_transaction_id
          @res3d_transaction_id = nil unless instance_variable_defined?(:@res3d_transaction_id)
          @res3d_transaction_id
        end

        #
        # ===応答3DトランザクションIDを設定する
        # @param:: res3d_transaction_id 応答3DトランザクションID
        #
        def res3d_transaction_id=(res3d_transaction_id)
          @res3d_transaction_id = res3d_transaction_id
        end

        #
        # ===応答3D DSトランザクションIDを取得する
        # @return:: 応答3D DSトランザクションID
        #
        def res3d_ds_transaction_id
          @res3d_ds_transaction_id = nil unless instance_variable_defined?(:@res3d_ds_transaction_id)
          @res3d_ds_transaction_id
        end

        #
        # ===応答3D DSトランザクションIDを設定する
        # @param:: res3d_ds_transaction_id 応答3D DSトランザクションID
        #
        def res3d_ds_transaction_id=(res3d_ds_transaction_id)
          @res3d_ds_transaction_id = res3d_ds_transaction_id
        end

        #
        # ===応答3DサーバトランザクションIDを取得する
        # @return:: 応答3DサーバトランザクションID
        #
        def res3d_server_transaction_id
          @res3d_server_transaction_id = nil unless instance_variable_defined?(:@res3d_server_transaction_id)
          @res3d_server_transaction_id
        end

        #
        # ===応答3DサーバトランザクションIDを設定する
        # @param:: res3d_server_transaction_id 応答3DサーバトランザクションID
        #
        def res3d_server_transaction_id=(res3d_server_transaction_id)
          @res3d_server_transaction_id = res3d_server_transaction_id
        end

        #
        # ===応答3Dトランザクションステータスを取得する
        # @return:: 応答3Dトランザクションステータス
        #
        def res3d_transaction_status
          @res3d_transaction_status = nil unless instance_variable_defined?(:@res3d_transaction_status)
          @res3d_transaction_status
        end

        #
        # ===応答3Dトランザクションステータスを設定する
        # @param:: res3d_transaction_status 応答3Dトランザクションステータス
        #
        def res3d_transaction_status=(res3d_transaction_status)
          @res3d_transaction_status = res3d_transaction_status
        end

        #
        # ===応答3D CAVV アルゴリズムを取得する
        # @return:: 応答3D CAVV アルゴリズム
        #
        def res3d_cavv_algorithm
          @res3d_cavv_algorithm = nil unless instance_variable_defined?(:@res3d_cavv_algorithm)
          @res3d_cavv_algorithm
        end

        #
        # === 応答3D CAVV アルゴリズムを設定する
        # @param:: res3d_cavv_algorithm 応答3D CAVV アルゴリズム
        #
        def res3d_cavv_algorithm=(res3d_cavv_algorithm)
          @res3d_cavv_algorithm = res3d_cavv_algorithm
        end

        #
        # ===応答3D CAVVを取得する
        # @return:: 応答3D CAVV
        #
        def res3d_cavv
          @res3d_cavv = nil unless instance_variable_defined?(:@res3d_cavv)
          @res3d_cavv
        end

        #
        # ===応答3D CAVV を設定する
        # @param:: res3d_cavv 応答3D CAVV
        #
        def res3d_cavv=(res3d_cavv)
          @res3d_cavv = res3d_cavv
        end

        #
        # ===応答3D ECI を取得する
        # @return:: 応答3D ECI
        #
        def res3d_eci
          @res3d_eci = nil unless instance_variable_defined?(:@res3d_eci)
          @res3d_eci
        end

        #
        # ===応答3D ECIを設定する
        # @param:: res3d_eci 応答3D ECI
        #
        def res3d_eci=(res3d_eci)
          @res3d_eci = res3d_eci
        end

        #
        # ===本人認証要求日時を取得する
        # @return:: 本人認証要求日時
        #
        def auth_request_datetime
          @auth_request_datetime = nil unless instance_variable_defined?(:@auth_request_datetime)
          @auth_request_datetime
        end

        #
        # ===本人認証要求日時を設定する
        # @param:: auth_request_datetime 本人認証要求日時
        #
        def auth_request_datetime=(auth_request_datetime)
          @auth_request_datetime = auth_request_datetime
        end

        #
        # ===本人認証応答日時を取得する
        # @return:: 本人認証応答日時
        #
        def auth_response_datetime
          @auth_response_datetime = nil unless instance_variable_defined?(:@auth_response_datetime)
          @auth_response_datetime
        end

        #
        # ===本人認証応答日時を設定する
        # @param:: auth_response_datetime 本人認証応答日時
        #
        def auth_response_datetime=(auth_response_datetime)
          @auth_response_datetime = auth_response_datetime
        end

        #
        # ===検証要求日時を取得する
        # @return:: 検証要求日時
        #
        def verify_request_datetime
          @verify_request_datetime = nil unless instance_variable_defined?(:@verify_request_datetime)
          @verify_request_datetime
        end

        #
        # ===検証要求日時を設定する
        # @param:: verify_request_datetime 検証要求日時
        #
        def verify_request_datetime=(verify_request_datetime)
          @verify_request_datetime = verify_request_datetime
        end

        #
        # ===検証応答日時を取得する
        # @return:: 検証応答日時
        #
        def verify_response_datetime
          @verify_response_datetime = nil unless instance_variable_defined?(:@verify_response_datetime)
          @verify_response_datetime
        end

        #
        # ===検証応答日時を設定する
        # @param:: verify_response_datetime 検証応答日時
        #
        def verify_response_datetime=(verify_response_datetime)
          @verify_response_datetime = verify_response_datetime
        end

        #
        # ===要求通貨単位を取得する
        # @return:: 要求通貨単位
        #
        def req_currency_unit
          @req_currency_unit = nil unless instance_variable_defined?(:@req_currency_unit)
          @req_currency_unit
        end

        #
        # ===要求通貨単位を設定する
        # @param:: req_currency_unit 要求通貨単位
        #
        def req_currency_unit=(req_currency_unit)
          @req_currency_unit = req_currency_unit
        end

        #
        # ===永久不滅ウォレット残高を取得する
        # @return:: 永久不滅ウォレット残高
        #
        def aq_aqf_wallet_balance
          @aq_aqf_wallet_balance = nil unless instance_variable_defined?(:@aq_aqf_wallet_balance)
          @aq_aqf_wallet_balance
        end

        #
        # ===永久不滅ウォレット残高を設定する
        # @param:: aq_aqf_wallet_balance 永久不滅ウォレット残高
        #
        def aq_aqf_wallet_balance=(aq_aqf_wallet_balance)
          @aq_aqf_wallet_balance = aq_aqf_wallet_balance
        end

        #
        # ===永久不滅ポイント残高を取得する
        # @return:: 永久不滅ポイント残高
        #
        def aq_aqf_point_balance
          @aq_aqf_point_balance = nil unless instance_variable_defined?(:@aq_aqf_point_balance)
          @aq_aqf_point_balance
        end

        #
        # ===永久不滅ポイント残高を設定する
        # @param:: aq_aqf_point_balance 永久不滅ポイント残高
        #
        def aq_aqf_point_balance=(aq_aqf_point_balance)
          @aq_aqf_point_balance = aq_aqf_point_balance
        end

        #
        # ===交換後利用可能バリューを取得する
        # @return:: 交換後利用可能バリュー
        #
        def aq_available_value
          @aq_available_value = nil unless instance_variable_defined?(:@aq_available_value)
          @aq_available_value
        end

        #
        # ===交換後利用可能バリューを設定する
        # @param:: aq_available_value 交換後利用可能バリュー
        #
        def aq_available_value=(aq_available_value)
          @aq_available_value = aq_available_value
        end

        #
        # ===SaisonトランザクションAPIリストを取得する
        # @return:: SaisonトランザクションAPIリスト
        #
        def transaction_apis
          @transaction_apis = nil unless instance_variable_defined?(:@transaction_apis)
          @transaction_apis
        end

        #
        # ===SaisonトランザクションAPIリストを設定する
        # @param:: transaction_apis SaisonトランザクションAPIリスト
        #
        def transaction_apis=(transaction_apis)
          @transaction_apis = transaction_apis
        end

        #
        # ===Saisonトランザクションカードリストを取得する
        # @return:: Saisonトランザクションカードリスト
        #
        def transaction_cards
          @transaction_cards = nil unless instance_variable_defined?(:@transaction_cards)
          @transaction_cards
        end

        #
        # ===Saisonトランザクションカードリストを設定する
        # @param:: transaction_cards Saisonトランザクションカードリスト
        #
        def transaction_cards=(transaction_cards)
          @transaction_cards = transaction_cards
        end

        #
        # ===UPOPの清算金額を取得する
        # @return:: UPOPの清算金額
        #
        def res_upop_settle_amount
          @res_upop_settle_amount = nil unless instance_variable_defined?(:@res_upop_settle_amount)
          @res_upop_settle_amount
        end

        #
        # ===UPOPの清算金額を設定する
        # @param:: res_upop_settle_amount UPOPの清算金額
        #
        def res_upop_settle_amount=(res_upop_settle_amount)
          @res_upop_settle_amount = res_upop_settle_amount
        end

        #
        # ===UPOPの清算日付を取得する
        # @return:: UPOPの清算日付
        #
        def res_upop_settle_date
          @res_upop_settle_date = nil unless instance_variable_defined?(:@res_upop_settle_date)
          @res_upop_settle_date
        end

        #
        # ===UPOPの清算日付を設定する
        # @param:: res_upop_settle_date UPOPの清算日付
        #
        def res_upop_settle_date=(res_upop_settle_date)
          @res_upop_settle_date = res_upop_settle_date
        end

        #
        # ===UPOPの清算通貨を取得する
        # @return:: UPOPの清算通貨
        #
        def res_upop_settle_currency
          @res_upop_settle_currency = nil unless instance_variable_defined?(:@res_upop_settle_currency)
          @res_upop_settle_currency
        end

        #
        # ===UPOPの清算通貨を設定する
        # @param:: res_upop_settle_currency UPOPの清算通貨
        #
        def res_upop_settle_currency=(res_upop_settle_currency)
          @res_upop_settle_currency = res_upop_settle_currency
        end

        #
        # ===UPOPの外貨換算日付を取得する
        # @return:: UPOPの外貨換算日付
        #
        def res_upop_exchange_date
          @res_upop_exchange_date = nil unless instance_variable_defined?(:@res_upop_exchange_date)
          @res_upop_exchange_date
        end

        #
        # ===UPOPの外貨換算日付を設定する
        # @param:: res_upop_exchange_date UPOPの外貨換算日付
        #
        def res_upop_exchange_date=(res_upop_exchange_date)
          @res_upop_exchange_date = res_upop_exchange_date
        end

        #
        # ===UPOPの外貨換算レートを取得する
        # @return:: UPOPの外貨換算レート
        #
        def res_upop_exchange_rate
          @res_upop_exchange_rate = nil unless instance_variable_defined?(:@res_upop_exchange_rate)
          @res_upop_exchange_rate
        end

        #
        # ===UPOPの外貨換算レートを設定する
        # @param:: res_upop_exchange_rate UPOPの外貨換算レート
        #
        def res_upop_exchange_rate=(res_upop_exchange_rate)
          @res_upop_exchange_rate = res_upop_exchange_rate
        end

        #
        # ===UPOPの決済センターとの取引IDを取得する
        # @return:: UPOPの決済センターとの取引ID
        #
        def res_upop_order_id
          @res_upop_order_id = nil unless instance_variable_defined?(:@res_upop_order_id)
          @res_upop_order_id
        end

        #
        # ===UPOPの決済センターとの取引IDを設定する
        # @param:: res_upop_order_id UPOPの決済センターとの取引ID
        #
        def res_upop_order_id=(res_upop_order_id)
          @res_upop_order_id = res_upop_order_id
        end

        #
        # ===UPOPの取引対象タイプを取得する
        # @return:: UPOPの取引対象タイプ
        #
        def upop_txn_type
          @upop_txn_type = nil unless instance_variable_defined?(:@upop_txn_type)
          @upop_txn_type
        end

        #
        # ===UPOPの取引対象タイプを設定する
        # @param:: upop_txn_type UPOPの取引対象タイプ
        #
        def upop_txn_type=(upop_txn_type)
          @upop_txn_type = upop_txn_type
        end

        #
        # ===Alipayの決済センターとの取引IDを取得する
        # @return:: Alipayの決済センターとの取引ID
        #
        def center_trade_id
          @center_trade_id = nil unless instance_variable_defined?(:@center_trade_id)
          @center_trade_id
        end

        #
        # ===Alipayの決済センターとの取引IDを設定する
        # @param:: center_trade_id Alipayの決済センターとの取引ID
        #
        def center_trade_id=(center_trade_id)
          @center_trade_id = center_trade_id
        end

        #
        # ===Alipayの対象取引タイプを取得する
        # @return:: Alipayの対象取引タイプ
        #
        def alipay_txn_type
          @alipay_txn_type = nil unless instance_variable_defined?(:@alipay_txn_type)
          @alipay_txn_type
        end

        #
        # ===Alipayの対象取引タイプを設定する
        # @param:: alipay_txn_type Alipayの対象取引タイプ
        #
        def alipay_txn_type=(alipay_txn_type)
          @alipay_txn_type = alipay_txn_type
        end

        #
        # ===Alipayの清算金額を取得する
        # @return:: Alipayの清算金額
        #
        def settle_amount
          @settle_amount = nil unless instance_variable_defined?(:@settle_amount)
          @settle_amount
        end

        #
        # ===Alipayの清算金額を設定する
        # @param:: settle_amount Alipayの清算金額
        #
        def settle_amount=(settle_amount)
          @settle_amount = settle_amount
        end

        #
        # ===Alipayの清算通貨を取得する
        # @return:: Alipayの清算通貨
        #
        def settle_currency
          @settle_currency = nil unless instance_variable_defined?(:@settle_currency)
          @settle_currency
        end

        #
        # ===Alipayの清算通貨を設定する
        # @param:: settle_currency Alipayの清算通貨
        #
        def settle_currency=(settle_currency)
          @settle_currency = settle_currency
        end

        #
        # ===Alipayの清支払い日付を取得する
        # @return:: Alipayの支払い日付
        #
        def payment_time
          @payment_time = nil unless instance_variable_defined?(:@payment_time)
          @payment_time
        end

        #
        # ===Alipayの支払い日付を設定する
        # @param:: payment_time Alipayの支払い日付
        #
        def payment_time=(payment_time)
          @payment_time = payment_time
        end

        #
        # ===Alipayの清算日付を取得する
        # @return:: Alipayの清算日付
        #
        def settlement_time
          @settlement_time = nil unless instance_variable_defined?(:@settlement_time)
          @settlement_time
        end

        #
        # ===Alipayの清算日付を設定する
        # @param:: settlement_time Alipayの清算日付
        #
        def settlement_time=(settlement_time)
          @settlement_time = settlement_time
        end

        #
        # ===Alipayの決済種別を取得する
        # @return:: Alipayの決済種別
        #
        def pay_type
          @pay_type = nil unless instance_variable_defined?(:@pay_type)
          @pay_type
        end

        #
        # ===Alipayの決済種別を設定する
        # @param:: pay_type Alipayの決済種別
        #
        def pay_type=(pay_type)
          @pay_type = pay_type
        end

        #
        # ===キャリア結果コードを取得する
        # @return:: キャリア結果コード
        #
        def cr_result_code
          @cr_result_code = nil unless instance_variable_defined?(:@cr_result_code)
          @cr_result_code
        end

        #
        # ===キャリア結果コードを設定する
        # @param:: cr_result_code キャリア結果コード
        #
        def cr_result_code=(cr_result_code)
          @cr_result_code = cr_result_code
        end

        #
        # ===詳細コマンドタイプを取得する
        # @return:: 詳細コマンドタイプ
        #
        def detail_command_type
          @detail_command_type = nil unless instance_variable_defined?(:@detail_command_type)
          @detail_command_type
        end

        #
        # ===詳細コマンドタイプを設定する
        # @param:: detail_command_type 詳細コマンドタイプ
        #
        def detail_command_type=(detail_command_type)
          @detail_command_type = detail_command_type
        end

        #
        # ===キャリアからの要求日時を取得する
        # @return:: キャリアからの要求日時
        #
        def cr_request_datetime
          @cr_request_datetime = nil unless instance_variable_defined?(:@cr_request_datetime)
          @cr_request_datetime
        end

        #
        # ===キャリアからの要求日時を設定する
        # @param:: cr_request_datetime キャリアからの要求日時
        #
        def cr_request_datetime=(cr_request_datetime)
          @cr_request_datetime = cr_request_datetime
        end

        #
        # ===キャリアからの返戻日時を取得する
        # @return:: キャリアからの返戻日時
        #
        def cr_response_datetime
          @cr_response_datetime = nil unless instance_variable_defined?(:@cr_response_datetime)
          @cr_response_datetime
        end

        #
        # ===キャリアからの返戻日時を設定する
        # @param:: cr_response_datetime キャリアからの返戻日時
        #
        def cr_response_datetime=(cr_response_datetime)
          @cr_response_datetime = cr_response_datetime
        end

        #
        # ===取引対象タイプを取得する
        # @return:: 取引対象タイプ
        #
        def orico_txn_type
          @orico_txn_type = nil unless instance_variable_defined?(:@orico_txn_type)
          @orico_txn_type
        end

        #
        # ===取引対象タイプを設定する
        # @param:: orico_txn_type 取引対象タイプ
        #
        def orico_txn_type=(orico_txn_type)
          @orico_txn_type = orico_txn_type
        end

        #
        # ===審査結果コードを取得する
        # @return:: 審査結果コード
        #
        def order_state_code
          @order_state_code = nil unless instance_variable_defined?(:@order_state_code)
          @order_state_code
        end

        #
        # ===審査結果コードを設定する
        # @param:: order_state_code 審査結果コード
        #
        def order_state_code=(order_state_code)
          @order_state_code = order_state_code
        end

        #
        # ===承認番号を取得する
        # @return:: 承認番号
        #
        def approval_no
          @approval_no = nil unless instance_variable_defined?(:@approval_no)
          @approval_no
        end

        #
        # ===承認番号を設定する
        # @param:: approval_no 承認番号
        #
        def approval_no=(approval_no)
          @approval_no = approval_no
        end

        #
        # ===申込日を取得する
        # @return:: 申込日
        #
        def request_date
          @request_date = nil unless instance_variable_defined?(:@request_date)
          @request_date
        end

        #
        # ===申込日を設定する
        # @param:: request_date 申込日
        #
        def request_date=(request_date)
          @request_date = request_date
        end

        #
        # ===ローン元金を取得する
        # @return:: ローン元金
        #
        def loan_principal
          @loan_principal = nil unless instance_variable_defined?(:@loan_principal)
          @loan_principal
        end

        #
        # ===ローン元金を設定する
        # @param:: loan_principal ローン元金
        #
        def loan_principal=(loan_principal)
          @loan_principal = loan_principal
        end

        #
        # ===支払回数を取得する
        # @return:: 支払回数
        #
        def payment_count
          @payment_count = nil unless instance_variable_defined?(:@payment_count)
          @payment_count
        end

        #
        # ===支払回数を設定する
        # @param:: payment_count 支払回数
        #
        def payment_count=(payment_count)
          @payment_count = payment_count
        end

        #
        # ===円金額を取得する
        # @return:: 円金額
        #
        def jpy_amount
          @jpy_amount = nil unless instance_variable_defined?(:@jpy_amount)
          @jpy_amount
        end

        #
        # ===円金額を設定する
        # @param:: jpy_amount 円金額
        #
        def jpy_amount=(jpy_amount)
          @jpy_amount = jpy_amount
        end

        #
        # ===多通貨レスポンスコードを取得する
        # @return:: 多通貨レスポンスコード
        #
        def res_mcp_response_code
          @res_mcp_response_code = nil unless instance_variable_defined?(:@res_mcp_response_code)
          @res_mcp_response_code
        end

        #
        # ===多通貨レスポンスコードを設定する
        # @param:: res_mcp_response_code 多通貨レスポンスコード
        #
        def res_mcp_response_code=(res_mcp_response_code)
          @res_mcp_response_code = res_mcp_response_code
        end

        #
        # ===楽天APIエラーコードを取得する
        # @return:: 楽天APIエラーコード
        #
        def rakuten_api_error_code
          @rakuten_api_error_code = nil unless instance_variable_defined?(:@rakuten_api_error_code)
          @rakuten_api_error_code
        end

        #
        # ===楽天APIエラーコードを設定する
        # @param:: rakuten_api_error_code 多通貨レスポンスコード
        #
        def rakuten_api_error_code=(rakuten_api_error_code)
          @rakuten_api_error_code = rakuten_api_error_code
        end

        #
        # ===楽天取引エラーコードを取得する
        # @return:: 楽天取引エラーコード
        #
        def rakuten_order_error_code
          @rakuten_order_error_code = nil unless instance_variable_defined?(:@rakuten_order_error_code)
          @rakuten_order_error_code
        end

        #
        # ===楽天取引エラーコードを設定する
        # @param:: rakuten_order_error_code 楽天取引エラーコード
        #
        def rakuten_order_error_code=(rakuten_order_error_code)
          @rakuten_order_error_code = rakuten_order_error_code
        end

        #
        # ===楽天バーコード決済返戻コードを取得する
        # @return:: 楽天バーコード決済返戻コード
        #
        def rakuten_bc_response_code
          @rakuten_bc_response_code = nil unless instance_variable_defined?(:@rakuten_bc_response_code)
          @rakuten_bc_response_code
        end

        #
        # ===楽天バーコード決済返戻コードを設定する
        # @param:: rakuten_bc_response_code 楽天バーコード決済返戻コード
        #
        def rakuten_bc_response_code=(rakuten_bc_response_code)
          @rakuten_bc_response_code = rakuten_bc_response_code
        end

        #
        # ===楽天への要求日時を取得する
        # @return:: 楽天への要求日時
        #
        def rakuten_request_datetime
          @rakuten_request_datetime = nil unless instance_variable_defined?(:@rakuten_request_datetime)
          @rakuten_request_datetime
        end

        #
        # ===楽天への要求日時を設定する
        # @param:: rakuten_request_datetime 楽天への要求日時
        #
        def rakuten_request_datetime=(rakuten_request_datetime)
          @rakuten_request_datetime = rakuten_request_datetime
        end

        #
        # ===楽天からの返戻日時を取得する
        # @return:: 楽天からの返戻日時
        #
        def rakuten_response_datetime
          @rakuten_response_datetime = nil unless instance_variable_defined?(:@rakuten_response_datetime)
          @rakuten_response_datetime
        end

        #
        # ===楽天からの返戻日時を設定する
        # @param:: rakuten_response_datetime 楽天からの返戻日時
        #
        def rakuten_response_datetime=(rakuten_response_datetime)
          @rakuten_response_datetime = rakuten_response_datetime
        end

        #
        # ===リクルートエラーコードを取得する
        # @return:: リクルートエラーコード
        #
        def recruit_error_code
          @recruit_error_code = nil unless instance_variable_defined?(:@recruit_error_code)
          @recruit_error_code
        end

        #
        # ===リクルートエラーコードを設定する
        # @param:: recruit_error_code リクルートエラーコード
        #
        def recruit_error_code=(recruit_error_code)
          @recruit_error_code = recruit_error_code
        end

        #
        # ===リクルートへの要求日時を取得する
        # @return:: リクルートへの要求日時
        #
        def recruit_request_datetime
          @recruit_request_datetime = nil unless instance_variable_defined?(:@recruit_request_datetime)
          @recruit_request_datetime
        end

        #
        # ===リクルートへの要求日時を設定する
        # @param:: recruit_request_datetime リクルートへの要求日時
        #
        def recruit_request_datetime=(recruit_request_datetime)
          @recruit_request_datetime = recruit_request_datetime
        end

        #
        # ===リクルートからの返戻日時を取得する
        # @return:: リクルートからの返戻日時
        #
        def recruit_response_datetime
          @recruit_response_datetime = nil unless instance_variable_defined?(:@recruit_response_datetime)
          @recruit_response_datetime
        end

        #
        # ===リクルートからの返戻日時を設定する
        # @param:: recruit_response_datetime リクルートからの返戻日時
        #
        def recruit_response_datetime=(recruit_response_datetime)
          @recruit_response_datetime = recruit_response_datetime
        end

        #
        # ===LINE Payエラーコードを取得する
        # @return:: LINE Payエラーコード
        #
        def linepay_error_code
          @linepay_error_code = nil unless instance_variable_defined?(:@linepay_error_code)
          @linepay_error_code
        end

        #
        # ===LINE Payエラーコードを設定する
        # @param:: linepay_error_code LINE Payエラーコード
        #
        def linepay_error_code=(linepay_error_code)
          @linepay_error_code = linepay_error_code
        end

        #
        # ===LINE Payへの要求日時を取得する
        # @return:: LINE Payへの要求日時
        #
        def linepay_request_datetime
          @linepay_request_datetime = nil unless instance_variable_defined?(:@linepay_request_datetime)
          @linepay_request_datetime
        end

        #
        # ===LINE Payへの要求日時を設定する
        # @param:: linepay_request_datetime LINE Payへの要求日時
        #
        def linepay_request_datetime=(linepay_request_datetime)
          @linepay_request_datetime = linepay_request_datetime
        end

        #
        # ===LINE Payからの返戻日時を取得する
        # @return:: LINE Payからの返戻日時
        #
        def linepay_response_datetime
          @linepay_response_datetime = nil unless instance_variable_defined?(:@linepay_response_datetime)
          @linepay_response_datetime
        end

        #
        # ===LINE Payからの返戻日時を設定する
        # @param:: linepay_response_datetime LINE Payからの返戻日時
        #
        def linepay_response_datetime=(linepay_response_datetime)
          @linepay_response_datetime = linepay_response_datetime
        end

        #
        # ===承認番号（MasterPass）を取得する
        # @return:: 承認番号（MasterPass）
        #
        def auth_code
          @auth_code = nil unless instance_variable_defined?(:@auth_code)
          @auth_code
        end

        #
        # ===承認番号（MasterPass）を設定する
        # @param:: auth_code 承認番号（MasterPass）
        #
        def auth_code=(auth_code)
          @auth_code = auth_code
        end

        #
        # ===リファレンス番号を取得する
        # @return:: リファレンス番号
        #
        def reference_number
          @reference_number = nil unless instance_variable_defined?(:@reference_number)
          @reference_number
        end

        #
        # ===リファレンス番号を設定する
        # @param:: reference_number リファレンス番号
        #
        def reference_number=(reference_number)
          @reference_number = reference_number
        end

        #
        # ===カード結果コードを取得する
        # @return:: カード結果コード
        #
        def card_v_result_code
          @card_v_result_code = nil unless instance_variable_defined?(:@card_v_result_code)
          @card_v_result_code
        end

        #
        # ===カード結果コードを設定する
        # @param:: card_v_result_code カード結果コード
        #
        def card_v_result_code=(card_v_result_code)
          @card_v_result_code = card_v_result_code
        end

        #
        # ===MasterPassへの要求日時を取得する
        # @return:: MasterPassへの要求日時
        #
        def masterpass_request_datetime
          @masterpass_request_datetime = nil unless instance_variable_defined?(:@masterpass_request_datetime)
          @masterpass_request_datetime
        end

        #
        # ===MasterPassへの要求日時を設定する
        # @param:: masterpass_request_datetime MasterPassへの要求日時
        #
        def masterpass_request_datetime=(masterpass_request_datetime)
          @masterpass_request_datetime = masterpass_request_datetime
        end

        #
        # ===MasterPassからの返戻日時を取得する
        # @return:: MasterPassからの返戻日時
        #
        def masterpass_response_datetime
          @masterpass_response_datetime = nil unless instance_variable_defined?(:@masterpass_response_datetime)
          @masterpass_response_datetime
        end

        #
        # ===MasterPassからの返戻日時を設定する
        # @param:: masterpass_response_datetime MasterPassからの返戻日時
        #
        def masterpass_response_datetime=(masterpass_response_datetime)
          @masterpass_response_datetime = masterpass_response_datetime
        end

        #
        # ===消込フラグを取得する
        # @return:: 消込フラグ
        #
        def with_reconcile
          @with_reconcile = nil unless instance_variable_defined?(:@with_reconcile)
          @with_reconcile
        end

        #
        # ===消込フラグを設定する
        # @param:: with_reconcile 消込フラグ
        #
        def with_reconcile=(with_reconcile)
          @with_reconcile = with_reconcile
        end

        #
        # ===入金IDを取得する
        # @return:: 入金ID
        #
        def deposit_id
          @deposit_id = nil unless instance_variable_defined?(:@deposit_id)
          @deposit_id
        end

        #
        # ===入金IDを設定する
        # @param:: deposit_id 入金ID
        #
        def deposit_id=(deposit_id)
          @deposit_id = deposit_id
        end

        #
        # ===登録方法を取得する
        # @return:: 登録方法
        #
        def registration_method
          @registration_method = nil unless instance_variable_defined?(:@registration_method)
          @registration_method
        end

        #
        # ===登録方法を設定する
        # @param:: registration_method 登録方法
        #
        def registration_method=(registration_method)
          @registration_method = registration_method
        end

        #
        # ===入金日を取得する
        # @return:: 入金日
        #
        def deposit_date
          @deposit_date = nil unless instance_variable_defined?(:@deposit_date)
          @deposit_date
        end

        #
        # ===入金日を設定する
        # @param:: deposit_date 入金日
        #
        def deposit_date=(deposit_date)
          @deposit_date = deposit_date
        end

        #
        # ===振込人名を取得する
        # @return:: 振込人名
        #
        def transfer_name
          @transfer_name = nil unless instance_variable_defined?(:@transfer_name)
          @transfer_name
        end

        #
        # ===振込人名を設定する
        # @param:: transfer_name 振込人名
        #
        def transfer_name=(transfer_name)
          @transfer_name = transfer_name
        end

        #
        # ===Tenpayエラーコードを取得する
        # @return:: Tenpayエラーコード
        #
        def tenpay_error_code
          @tenpay_error_code = nil unless instance_variable_defined?(:@tenpay_error_code)
          @tenpay_error_code
        end

        #
        # ===Tenpayエラーコードを設定する
        # @param:: tenpay_error_code Tenpayエラーコード
        #
        def tenpay_error_code=(tenpay_error_code)
          @tenpay_error_code = tenpay_error_code
        end

        #
        # ===Tenpayへの要求日時を取得する
        # @return:: Tenpayへの要求日時
        #
        def tenpay_request_datetime
          @tenpay_request_datetime = nil unless instance_variable_defined?(:@tenpay_request_datetime)
          @tenpay_request_datetime
        end

        #
        # ===Tenpayへの要求日時を設定する
        # @param:: tenpay_request_datetime Tenpayへの要求日時
        #
        def tenpay_request_datetime=(tenpay_request_datetime)
          @tenpay_request_datetime = tenpay_request_datetime
        end

        #
        # ===Tenpayからの返戻日時を取得する
        # @return:: Tenpayからの返戻日時
        #
        def tenpay_response_datetime
          @tenpay_response_datetime = nil unless instance_variable_defined?(:@tenpay_response_datetime)
          @tenpay_response_datetime
        end

        #
        # ===Tenpayからの返戻日時を設定する
        # @param:: tenpay_response_datetime Tenpayからの返戻日時
        #
        def tenpay_response_datetime=(tenpay_response_datetime)
          @tenpay_response_datetime = tenpay_response_datetime
        end

        #
        # ===応答センター処理通番を取得する
        # @return:: 応答センター処理通番
        #
        def res_center_process_number
          @res_center_process_number = nil unless instance_variable_defined?(:@res_center_process_number)
          @res_center_process_number
        end

        #
        # ===応答センター処理通番を設定する
        # @param:: res_center_process_number 応答センター処理通番
        #
        def res_center_process_number=(res_center_process_number)
          @res_center_process_number = res_center_process_number
        end

        #
        # ===応答センター送信日時から
        # @return:: 応答センター送信日時
        #
        def res_center_send_date_time
          @res_center_send_date_time = nil unless instance_variable_defined?(:@res_center_send_date_time)
          @res_center_send_date_time
        end

        #
        # ===応答センター送信日時
        # @param:: res_center_send_date_time 応答センター送信日時
        #
        def res_center_send_date_time=(res_center_send_date_time)
          @res_center_send_date_time = res_center_send_date_time
        end
        
        #
        # ===店舗IDを取得する
        # @return:: 店舗ID
        #
        def store_id
          @store_id = nil unless instance_variable_defined?(:@store_id)
          @store_id
        end

        #
        # ===店舗IDを設定する
        # @param:: store_id 店舗ID
        #
        def store_id=(store_id)
          @store_id = store_id
        end

        #
        # ===店舗端末IDを取得する
        # @return:: 店舗端末ID
        #
        def terminal_id
          @terminal_id = nil unless instance_variable_defined?(:@terminal_id)
          @terminal_id
        end

        #
        # ===店舗端末IDを設定する
        # @param:: terminal_id 店舗端末ID
        #
        def terminal_id=(terminal_id)
          @terminal_id = terminal_id
        end

        #
        # ===PayPay返戻コードを取得する
        # @return:: PayPay返戻コード
        #
        def paypay_result_code
          @paypay_result_code = nil unless instance_variable_defined?(:@paypay_result_code)
          @paypay_result_code
        end

        #
        # ===PayPay返戻コードを設定する
        # @param:: paypay_result_code PayPay返戻コード
        #
        def paypay_result_code=(paypay_result_code)
          @paypay_result_code = paypay_result_code
        end

        #
        # ===決済事業者コードを取得する
        # @return:: 決済事業者コード
        #
        def settle_biz_code
          @settle_biz_code = nil unless instance_variable_defined?(:@settle_biz_code)
          @settle_biz_code
        end

        #
        # ===決済事業者コードを設定する
        # @param:: settle_biz_code 決済事業者コード
        #
        def settle_biz_code=(settle_biz_code)
          @settle_biz_code = settle_biz_code
        end

        #
        # ===レシート番号を取得する
        # @return:: レシート番号
        #
        def receipt_number
          @receipt_number = nil unless instance_variable_defined?(:@receipt_number)
          @receipt_number
        end

        #
        # ===レシート番号を設定する
        # @param:: receipt_number レシート番号
        #
        def receipt_number=(receipt_number)
          @receipt_number = receipt_number
        end

        #
        # ===商品名を取得する
        # @return:: 商品名
        #
        def item_name
          @item_name = nil unless instance_variable_defined?(:@item_name)
          @item_name
        end

        #
        # ===商品名を設定する
        # @param:: item_name 商品名
        #
        def item_name=(item_name)
          @item_name = item_name
        end

        #
        # ===PayPayへの要求日時を取得する
        # @return:: PayPayへの要求日時
        #
        def paypay_request_datetime
          @paypay_request_datetime = nil unless instance_variable_defined?(:@paypay_request_datetime)
          @paypay_request_datetime
        end

        #
        # ===PayPayへの要求日時を設定する
        # @param:: paypay_request_datetime PayPayへの要求日時
        #
        def paypay_request_datetime=(paypay_request_datetime)
          @paypay_request_datetime = paypay_request_datetime
        end

        #
        # ===PayPayからの返戻日時を取得する
        # @return:: PayPayからの返戻日時
        #
        def paypay_response_datetime
          @paypay_response_datetime = nil unless instance_variable_defined?(:@paypay_response_datetime)
          @paypay_response_datetime
        end

        #
        # ===PayPayからの返戻日時を設定する
        # @param:: paypay_response_datetime PayPayからの返戻日時
        #
        def paypay_response_datetime=(paypay_response_datetime)
          @paypay_response_datetime = paypay_response_datetime
        end

        #
        # ===PayPayトランザクションIDを取得する
        # @return:: PayPayトランザクションID
        #
        def paypay_online_txn_id
          @paypay_online_txn_id = nil unless instance_variable_defined?(:@paypay_online_txn_id)
          @paypay_online_txn_id
        end

        #
        # ===PayPayトランザクションIDを設定する
        # @param:: paypay_online_txn_id PayPayトランザクションID
        #
        def paypay_online_txn_id=(paypay_online_txn_id)
          @paypay_online_txn_id = paypay_online_txn_id
        end

        #
        # ===PayPayエラーコードを取得する
        # @return:: PayPayエラーコード
        #
        def paypay_error_code
          @paypay_error_code = nil unless instance_variable_defined?(:@paypay_error_code)
          @paypay_error_code
        end

        #
        # ===PayPayエラーコードを設定する
        # @param:: paypay_error_code PayPayエラーコード
        #
        def paypay_error_code=(paypay_error_code)
          @paypay_error_code = paypay_error_code
        end

        #
        # ===BankPayエラーコードを取得する
        # @return:: BankPayエラーコード
        #
        def bankpay_error_code
          @bankpay_error_code = nil unless instance_variable_defined?(:@bankpay_error_code)
          @bankpay_error_code
        end

        #
        # ===BankPayエラーコードをを設定する
        # @param:: bankpay_error_code BankPayエラーコードを
        #
        def bankpay_error_code=(bankpay_error_code)
          @bankpay_error_code = bankpay_error_code
        end

        #
        # ===BankpPayへの要求日時を取得する
        # @return:: BankpPayへの要求日時
        #
        def bankpay_request_datetime
          @bankpay_request_datetime = nil unless instance_variable_defined?(:@bankpay_request_datetime)
          @bankpay_request_datetime
        end

        #
        # ===BankpPayへの要求日時を設定する
        # @param:: bankpay_request_datetime BankpPayへの要求日時
        #
        def bankpay_request_datetime=(bankpay_request_datetime)
          @bankpay_request_datetime = bankpay_request_datetime
        end

        #
        # ===BankpPayからの返戻日時を取得する
        # @return:: BankpPayからの返戻日時
        #
        def bankpay_response_datetime
          @bankpay_response_datetime = nil unless instance_variable_defined?(:@bankpay_response_datetime)
          @bankpay_response_datetime
        end

        #
        # ===BankpPayからの返戻日時を設定する
        # @param:: bankpay_response_datetime BankpPayからの返戻日時
        #
        def bankpay_response_datetime=(bankpay_response_datetime)
          @bankpay_response_datetime = bankpay_response_datetime
        end

        #
        # ===決済ゲートウェイ管理IDを取得する
        # @return:: 決済ゲートウェイ管理ID
        #
        def gateway_trans_id
          @gateway_trans_id = nil unless instance_variable_defined?(:@gateway_trans_id)
          @gateway_trans_id
        end

        #
        # ===決済ゲートウェイ管理IDを設定する
        # @param:: gateway_trans_id 決済ゲートウェイ管理ID
        #
        def gateway_trans_id=(gateway_trans_id)
          @gateway_trans_id = gateway_trans_id
        end

        #
        # ===Alipay+決済センター結果コードを取得する
        # @return:: Alipay+決済センター結果コード
        #
        def alipayx_result_code
          @alipayx_result_code = nil unless instance_variable_defined?(:@alipayx_result_code)
          @alipayx_result_code
        end

        #
        # ===Alipay+決済センター結果コードを設定する
        # @param:: alipayx_result_code Alipay+決済センター結果コード
        #
        def alipayx_result_code=(alipayx_result_code)
          @alipayx_result_code = alipayx_result_code
        end

        #
        # ===Alipay+決済センターへの要求日時を取得する
        # @return:: Alipay+決済センターへの要求日時
        #
        def alipayx_request_datetime
          @alipayx_request_datetime = nil unless instance_variable_defined?(:@alipayx_request_datetime)
          @alipayx_request_datetime
        end

        #
        # ===Alipay+決済センターへの要求日時を設定する
        # @param:: alipayx_request_datetime Alipay+決済センターへの要求日時
        #
        def alipayx_request_datetime=(alipayx_request_datetime)
          @alipayx_request_datetime = alipayx_request_datetime
        end

        #
        # ===Alipay+決済センターからの返戻日時を取得する
        # @return:: Alipay+決済センターからの返戻日時
        #
        def alipayx_response_datetime
          @alipayx_response_datetime = nil unless instance_variable_defined?(:@alipayx_response_datetime)
          @alipayx_response_datetime
        end

        #
        # ===Alipay+決済センターからの返戻日時を設定する
        # @param:: alipayx_response_datetime Alipay+決済センターからの返戻日時
        #
        def alipayx_response_datetime=(alipayx_response_datetime)
          @alipayx_response_datetime = alipayx_response_datetime
        end

        #
        # ==CvsPay結果コードを取得する
        # @return:: CvsPay結果コード
        #
        def cvspay_result_cd
          @cvspay_result_cd = nil unless instance_variable_defined?(:@cvspay_result_cd)
          @cvspay_result_cd
        end

        #
        # ===CvsPay結果コードを設定する
        # @param:: cvspay_result_cd CvsPay結果コード
        #
        def cvspay_result_cd=(cvspay_result_cd)
          @cvspay_result_cd = cvspay_result_cd
        end

        #
        # ===CvsPayへの要求日時を取得する
        # @return:: CvsPayへの要求日時
        #
        def cvspay_request_datetime
          @cvspay_request_datetime = nil unless instance_variable_defined?(:@cvspay_request_datetime)
          @cvspay_request_datetime
        end

        #
        # ===CvsPayへの要求日時を設定する
        # @param:: cvspay_request_datetime CvsPayへの要求日時
        #
        def cvspay_request_datetime=(cvspay_request_datetime)
          @cvspay_request_datetime = cvspay_request_datetime
        end

        #
        # ===CvsPayからの返戻日時を取得する
        # @return:: CvsPayからの返戻日時
        #
        def cvspay_response_datetime
          @cvspay_response_datetime = nil unless instance_variable_defined?(:@cvspay_response_datetime)
          @cvspay_response_datetime
        end

        #
        # ===CvsPayからの返戻日時を設定する
        # @param:: cvspay_response_datetime CvsPayからの返戻日時
        #
        def cvspay_response_datetime=(cvspay_response_datetime)
          @cvspay_response_datetime = cvspay_response_datetime
        end

        #
        # ===CvsPay取消オーダーIDを取得する
        # @return:: CvsPay取消オーダーID
        #
        def cvspay_cancel_order_id
          @cvspay_cancel_order_id = nil unless instance_variable_defined?(:@cvspay_cancel_order_id)
          @cvspay_cancel_order_id
        end

        #
        # ===CvsPay取消オーダーIDを設定する
        # @param:: cvspay_cancel_order_id CvsPay取消オーダーID
        #
        def cvspay_cancel_order_id=(cvspay_cancel_order_id)
          @cvspay_cancel_order_id = cvspay_cancel_order_id
        end

        #
        # ===自動審査結果を取得する
        # @return:: 自動審査結果
        #
        def author_result
          @author_result = nil unless instance_variable_defined?(:@author_result)
          @author_result
        end

        #
        # ===自動審査結果を設定する
        # @param:: author_result 自動審査結果
        #
        def author_result=(author_result)
          @author_result = author_result
        end

        #
        # ===決済センターのトランザクション管理IDを取得する
        # @return:: 決済センターのトランザクション管理ID
        #
        def center_transaction_id
          @center_transaction_id = nil unless instance_variable_defined?(:@center_transaction_id)
          @center_transaction_id
        end

        #
        # ===決済センターのトランザクション管理IDを設定する
        # @param:: center_transaction_id 決済センターのトランザクション管理ID
        #
        def center_transaction_id=(center_transaction_id)
          @center_transaction_id = center_transaction_id
        end

        #
        # ===決済センター結果コードを取得する
        # @return:: 決済センター結果コード
        #
        def center_result_code
          @center_result_code = nil unless instance_variable_defined?(:@center_result_code)
          @center_result_code
        end

        #
        # ===決済センター結果コードを設定する
        # @param:: center_result_code 決済センター結果コード
        #
        def center_result_code=(center_result_code)
          @center_result_code = center_result_code
        end

        #
        # ===決済センター状態コードを取得する
        # @return:: 決済センター状態コード
        #
        def center_state_code
          @center_state_code = nil unless instance_variable_defined?(:@center_state_code)
          @center_state_code
        end

        #
        # ===決済センター状態コードを設定する
        # @param:: center_state_code 決済センター状態コード
        #
        def center_state_code=(center_state_code)
          @center_state_code = center_state_code
        end

        #
        # ===決済センター理由コードを取得する
        # @return:: 決済センター理由コード
        #
        def center_reason_code
          @center_reason_code = nil unless instance_variable_defined?(:@center_reason_code)
          @center_reason_code
        end

        #
        # ===決済センター理由コードを設定する
        # @param:: center_reason_code 決済センター理由コード
        #
        def center_reason_code=(center_reason_code)
          @center_reason_code = center_reason_code
        end

        #
        # ===クレジット利用額を取得する
        # @return:: クレジット利用額
        #
        def use_credit
          @use_credit = nil unless instance_variable_defined?(:@use_credit)
          @use_credit
        end

        #
        # ===クレジット利用額を設定する
        # @param:: use_credit クレジット利用額
        #
        def use_credit=(use_credit)
          @use_credit = use_credit
        end

        #
        # ===クーポン利用額を取得する
        # @return:: クーポン利用額
        #
        def use_coupon
          @use_coupon = nil unless instance_variable_defined?(:@use_coupon)
          @use_coupon
        end

        #
        # ===クーポン利用額を設定する
        # @param:: use_coupon クーポン利用額
        #
        def use_coupon=(use_coupon)
          @use_coupon = use_coupon
        end

        #
        # ===ポイント利用額を取得する
        # @return:: ポイント利用額
        #
        def use_point
          @use_point = nil unless instance_variable_defined?(:@use_point)
          @use_point
        end

        #
        # ===ポイント利用額を設定する
        # @param:: use_point ポイント利用額
        #
        def use_point=(use_point)
          @use_point = use_point
        end

        #
        # ===エポスへの要求日時を取得する
        # @return:: エポスへの要求日時
        #
        def epos_request_datetime
          @epos_request_datetime = nil unless instance_variable_defined?(:@epos_request_datetime)
          @epos_request_datetime
        end

        #
        # ===エポスへの要求日時を設定する
        # @param:: epos_request_datetime エポスへの要求日時
        #
        def epos_request_datetime=(epos_request_datetime)
          @epos_request_datetime = epos_request_datetime
        end

        #
        # ===エポスからの返戻日時を取得する
        # @return:: エポスからの返戻日時
        #
        def epos_response_datetime
          @epos_response_datetime = nil unless instance_variable_defined?(:@epos_response_datetime)
          @epos_response_datetime
        end

        #
        # ===エポスからの返戻日時を設定する
        # @param:: epos_response_datetime エポスからの返戻日時
        #
        def epos_response_datetime=(epos_response_datetime)
          @epos_response_datetime = epos_response_datetime
        end

        #
        # ===カードの要求支払種別を取得する
        # @return:: カードの要求支払種別
        #
        def req_payment_type
          @req_payment_type = nil unless instance_variable_defined?(:@req_payment_type)
          @req_payment_type
        end

        #
        # ===カードの要求支払種別を設定する
        # @param:: req_payment_type カードの要求支払種別
        #
        def req_payment_type=(req_payment_type)
          @req_payment_type = req_payment_type
        end

        #
        # ===カードの要求レスポンスコードを取得する
        # @return:: カードの要求レスポンスコード
        #
        def req_response_code
          @req_response_code = nil unless instance_variable_defined?(:@req_response_code)
          @req_response_code
        end

        #
        # ===カードの要求レスポンスコードを設定する
        # @param:: req_response_code カードの要求レスポンスコード
        #
        def req_response_code=(req_response_code)
          @req_response_code = req_response_code
        end

        #
        # ===不正検知評価結果を取得する
        # @return:: 不正検知評価結果
        #
        def fd_result
          @fd_result = nil unless instance_variable_defined?(:@fd_result)
          @fd_result
        end

        #
        # ===不正検知評価結果を設定する
        # @param:: fd_result 不正検知評価結果
        #
        def fd_result=(fd_result)
          @fd_result = fd_result
        end

        #
        # ===merpayエラーコードを取得する
        # @return:: merpayエラーコード
        #
        def merpay_error_code
          @merpay_error_code = nil unless instance_variable_defined?(:@merpay_error_code)
          @merpay_error_code
        end

        #
        # ===merpayエラーコードを設定する
        # @param:: merpay_error_code merpayエラーコード
        #
        def merpay_error_code=(merpay_error_code)
          @merpay_error_code = merpay_error_code
        end

        #
        # ===従業員IDを取得する
        # @return:: 従業員ID
        #
        def operator_id
          @operator_id = nil unless instance_variable_defined?(:@operator_id)
          @operator_id
        end

        #
        # ===従業員IDを設定する
        # @param:: operator_id 従業員ID
        #
        def operator_id=(operator_id)
          @operator_id = operator_id
        end

        #
        # ===伝票コードを取得する
        # @return:: 伝票コード
        #
        def slip_code
          @slip_code = nil unless instance_variable_defined?(:@slip_code)
          @slip_code
        end

        #
        # ===伝票コードを設定する
        # @param:: slip_code 伝票コード
        #
        def slip_code=(slip_code)
          @slip_code = slip_code
        end

        #
        # ===merpayの管理IDを取得する
        # @return:: merpayの管理ID
        #
        def merpay_resource_id
          @merpay_resource_id = nil unless instance_variable_defined?(:@merpay_resource_id)
          @merpay_resource_id
        end

        #
        # ===merpayの管理IDを設定する
        # @param:: merpay_resource_id merpayの管理ID
        #
        def merpay_resource_id=(merpay_resource_id)
          @merpay_resource_id = merpay_resource_id
        end

        #
        # ===決済センターとの取引IDを取得する
        # @return:: 決済センターとの取引ID
        #
        def merpay_processing_id
          @merpay_processing_id = nil unless instance_variable_defined?(:@merpay_processing_id)
          @merpay_processing_id
        end

        #
        # ===決済センターとの取引IDを設定する
        # @param:: merpay_processing_id 決済センターとの取引ID
        #
        def merpay_processing_id=(merpay_processing_id)
          @merpay_processing_id = merpay_processing_id
        end

        #
        # ===merpayへの要求日時を取得する
        # @return:: merpayへの要求日時
        #
        def merpay_request_datetime
          @merpay_request_datetime = nil unless instance_variable_defined?(:@merpay_request_datetime)
          @merpay_request_datetime
        end

        #
        # ===merpayへの要求日時を設定する
        # @param:: merpay_request_datetime merpayへの要求日時
        #
        def merpay_request_datetime=(merpay_request_datetime)
          @merpay_request_datetime = merpay_request_datetime
        end

        #
        # ===merpayからの返戻日時を取得する
        # @return:: merpayからの返戻日時
        #
        def merpay_response_datetime
          @merpay_response_datetime = nil unless instance_variable_defined?(:@merpay_response_datetime)
          @merpay_response_datetime
        end

        #
        # ===merpayからの返戻日時を設定する
        # @param:: merpay_response_datetime merpayからの返戻日時
        #
        def merpay_response_datetime=(merpay_response_datetime)
          @merpay_response_datetime = merpay_response_datetime
        end

        #
        # ===問合せ番号を取得する
        # @return:: 問合せ番号
        #
        def inquiry_code
          @inquiry_code = nil unless instance_variable_defined?(:@inquiry_code)
          @inquiry_code
        end

        #
        # ===問合せ番号を設定する
        # @param:: inquiry_code 問合せ番号
        #
        def inquiry_code=(inquiry_code)
          @inquiry_code = inquiry_code
        end

        #
        # ===頻度（単位）を取得する
        # @return:: 頻度（単位）
        #
        def frequency_unit
          @frequency_unit = nil unless instance_variable_defined?(:@frequency_unit)
          @frequency_unit
        end

        #
        # ===頻度（単位）を設定する
        # @param:: frequency_unit 頻度（単位）
        #
        def frequency_unit=(frequency_unit)
          @frequency_unit = frequency_unit
        end

        #
        # ===頻度（値）を取得する
        # @return:: 頻度（値）
        #
        def frequency_value
          @frequency_value = nil unless instance_variable_defined?(:@frequency_value)
          @frequency_value
        end

        #
        # ===頻度（値）を設定する
        # @param:: frequency_value 頻度（値）
        #
        def frequency_value=(frequency_value)
          @frequency_value = frequency_value
        end

        #
        # ===楽天APIエラータイプを取得する
        # @return:: 楽天APIエラータイプ
        #
        def rakuten_api_error_type
          @rakuten_api_error_type = nil unless instance_variable_defined?(:@rakuten_api_error_type)
          @rakuten_api_error_type
        end

        #
        # ===楽天APIエラータイプを設定する
        # @param:: rakuten_api_error_type 楽天APIエラータイプ
        #
        def rakuten_api_error_type=(rakuten_api_error_type)
          @rakuten_api_error_type = rakuten_api_error_type
        end

      end
    end
  end
end
