# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:Tenpay検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class TenpaySearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===詳細コマンドタイプ名を取得する
        # @return:: 詳細コマンドタイプ名
        #
        def detail_command_type
          @detail_command_type = nil unless instance_variable_defined?(:@detail_command_type)
          @detail_command_type
        end

        #
        # ===詳細コマンドタイプ名を設定する
        # @param:: detail_command_type 詳細コマンドタイプ名
        #
        def detail_command_type=(detail_command_type)
          @detail_command_type = detail_command_type
        end

        #
        # ===Tenpayサービスタイプを取得する
        # @return:: Tenpayサービスタイプ
        #
        def tenpay_service_type
          @tenpay_service_type = nil unless instance_variable_defined?(:@tenpay_service_type)
          @tenpay_service_type
        end

        #
        # ===Tenpayサービスタイプを設定する
        # @param:: tenpay_service_type Tenpayサービスタイプ
        #
        def tenpay_service_type=(tenpay_service_type)
          @tenpay_service_type = tenpay_service_type
        end

      end
    end
  end
end
