# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知外部リスク評価結果Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionExternalRiskResultDto

        #
        # ===ソースを取得する
        # @return:: ソース
        #
        def source
          @source = nil unless instance_variable_defined?(:@source)
          @source
        end

        #
        # ===ソースを設定する
        # 外部リスク評価システム名、項目名
        # @param:: source ソース
        #
        def source=(source)
          @source = source
        end

        #
        # ===スコアを取得する
        # @return:: スコア
        #
        def score
          @score = nil unless instance_variable_defined?(:@score)
          @score
        end

        #
        # ===スコアを設定する
        # 評価結果スコア
        # @param:: score スコア
        #
        def score=(score)
          @score = score
        end

        #
        # ===コード値を取得する
        # @return:: コード値
        #
        def code
          @code = nil unless instance_variable_defined?(:@code)
          @code
        end

        #
        # ===コード値を設定する
        # 評価結果コード値
        # @param:: code コード値
        #
        def code=(code)
          @code = code
        end


      end
    end
  end
end
