# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知注文情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionOrderDto

        #
        # ===注文IDを取得する
        # @return:: 注文ID
        #
        def id
          @id = nil unless instance_variable_defined?(:@id)
          @id
        end

        #
        # ===注文IDを設定する
        # @param:: id 注文ID
        #
        def id=(id)
          @id = id
        end

        #
        # ===注文経路を取得する
        # @return:: 注文経路
        #
        def source
          @source = nil unless instance_variable_defined?(:@source)
          @source
        end

        #
        # ===注文経路を設定する
        # 注文経路を設定してください。注文サイトのURL等。
        # @param:: source 注文経路
        #
        def source=(source)
          @source = source
        end

        #
        # ===プロモーションコードを取得する
        # @return:: プロモーションコード
        #
        def promo_code
          @promo_code = nil unless instance_variable_defined?(:@promo_code)
          @promo_code
        end

        #
        # ===プロモーションコードを設定する
        # 商品購入時に使用したプロモーションコードを設定してください。
        # @param:: promo_code プロモーションコード
        #
        def promo_code=(promo_code)
          @promo_code = promo_code
        end

        #
        # ===決済失敗回数を取得する
        # @return:: 決済失敗回数
        #
        def failed_payment_attempts
          @failed_payment_attempts = nil unless instance_variable_defined?(:@failed_payment_attempts)
          @failed_payment_attempts
        end

        #
        # ===決済失敗回数を設定する
        # 決済試行し、失敗した回数を設定してください。
        # @param:: failed_payment_attempts 決済失敗回数
        #
        def failed_payment_attempts=(failed_payment_attempts)
          @failed_payment_attempts = failed_payment_attempts
        end

        #
        # ===lineItemsのサイズを取得する
        # @return:: lineItemsのサイズ
        #
        def oi_repeat
          @oi_repeat = nil unless instance_variable_defined?(:@oi_repeat)
          @oi_repeat
        end

        #
        # ===lineItemsのサイズを設定する
        # @param:: oi_repeat lineItemsのサイズ
        #
        def oi_repeat=(oi_repeat)
          @oi_repeat = oi_repeat
        end

        #
        # ===商品情報を取得する
        # @return:: 商品情報
        #
        def line_items
          @line_items = nil unless instance_variable_defined?(:@line_items)
          @line_items
        end

        #
        # ===商品情報を設定する
        # 商品情報オブジェクト
        # @param:: line_items 商品情報
        #
        def line_items=(line_items)
          @line_items = line_items
        end

        #
        # ===配送情報を取得する
        # @return:: 配送情報
        #
        def shipment
          @shipment = nil unless instance_variable_defined?(:@shipment)
          @shipment
        end

        #
        # ===配送情報を設定する
        # 配送情報オブジェクト
        # @param:: shipment 配送情報
        #
        def shipment=(shipment)
          @shipment = shipment
        end


      end
    end
  end
end
