# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知ReD詳細結果応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionRdResponseDto

        #
        # ===結果コードを取得する
        # @return:: 結果コード
        #
        def code
          @code = nil unless instance_variable_defined?(:@code)
          @code
        end

        #
        # ===結果コードを設定する
        # @param:: code 結果コード
        #
        def code=(code)
          @code = code
        end

        #
        # ===リクエストIDを取得する
        # @return:: リクエストID
        #
        def request_id
          @request_id = nil unless instance_variable_defined?(:@request_id)
          @request_id
        end

        #
        # ===リクエストIDを設定する
        # @param:: request_id リクエストID
        #
        def request_id=(request_id)
          @request_id = request_id
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===トランザクションステータスコードを取得する
        # @return:: トランザクションステータスコード
        #
        def risk_status_code
          @risk_status_code = nil unless instance_variable_defined?(:@risk_status_code)
          @risk_status_code
        end

        #
        # ===トランザクションステータスコードを設定する
        # @param:: risk_status_code トランザクションステータスコード
        #
        def risk_status_code=(risk_status_code)
          @risk_status_code = risk_status_code
        end

        #
        # ===トランザクションスクリーニング結果を取得する
        # @return:: トランザクションスクリーニング結果
        #
        def risk_fraud_status_code
          @risk_fraud_status_code = nil unless instance_variable_defined?(:@risk_fraud_status_code)
          @risk_fraud_status_code
        end

        #
        # ===トランザクションスクリーニング結果を設定する
        # @param:: risk_fraud_status_code トランザクションスクリーニング結果
        #
        def risk_fraud_status_code=(risk_fraud_status_code)
          @risk_fraud_status_code = risk_fraud_status_code
        end

        #
        # ===ReDレスポンスコードを取得する
        # @return:: ReDレスポンスコード
        #
        def risk_response_code
          @risk_response_code = nil unless instance_variable_defined?(:@risk_response_code)
          @risk_response_code
        end

        #
        # ===ReDレスポンスコードを設定する
        # @param:: risk_response_code ReDレスポンスコード
        #
        def risk_response_code=(risk_response_code)
          @risk_response_code = risk_response_code
        end

        #
        # ===ReD取引IDを取得する
        # @return:: ReD取引ID
        #
        def risk_order_id
          @risk_order_id = nil unless instance_variable_defined?(:@risk_order_id)
          @risk_order_id
        end

        #
        # ===ReD取引IDを設定する
        # @param:: risk_order_id ReD取引ID
        #
        def risk_order_id=(risk_order_id)
          @risk_order_id = risk_order_id
        end

        #
        # ===ニューラルスコアを取得する
        # @return:: ニューラルスコア
        #
        def risk_neural_score
          @risk_neural_score = nil unless instance_variable_defined?(:@risk_neural_score)
          @risk_neural_score
        end

        #
        # ===ニューラルスコアを設定する
        # @param:: risk_neural_score ニューラルスコア
        #
        def risk_neural_score=(risk_neural_score)
          @risk_neural_score = risk_neural_score
        end

        #
        # ===ルール該当コード一覧を取得する
        # @return:: ルール該当コード一覧
        #
        def risk_rule_category
          @risk_rule_category = nil unless instance_variable_defined?(:@risk_rule_category)
          @risk_rule_category
        end

        #
        # ===ルール該当コード一覧を設定する
        # @param:: risk_rule_category ルール該当コード一覧
        #
        def risk_rule_category=(risk_rule_category)
          @risk_rule_category = risk_rule_category
        end

        #
        # ===IDを取得する
        # @return:: ID
        #
        def id
          @id = nil unless instance_variable_defined?(:@id)
          @id
        end

        #
        # ===IDを設定する
        # @param:: id ID
        #
        def id=(id)
          @id = id
        end

        #
        # ===メッセージを取得する
        # @return:: メッセージ
        #
        def description
          @description = nil unless instance_variable_defined?(:@description)
          @description
        end

        #
        # ===メッセージを設定する
        # @param:: description メッセージ
        #
        def description=(description)
          @description = description
        end

        #
        # ===マーチャントトランザクションIDを取得する
        # @return:: マーチャントトランザクションID
        #
        def merchant_transaction_id
          @merchant_transaction_id = nil unless instance_variable_defined?(:@merchant_transaction_id)
          @merchant_transaction_id
        end

        #
        # ===マーチャントトランザクションIDを設定する
        # @param:: merchant_transaction_id マーチャントトランザクションID
        #
        def merchant_transaction_id=(merchant_transaction_id)
          @merchant_transaction_id = merchant_transaction_id
        end

        #
        # ===ビルド番号を取得する
        # @return:: ビルド番号
        #
        def build_number
          @build_number = nil unless instance_variable_defined?(:@build_number)
          @build_number
        end

        #
        # ===ビルド番号を設定する
        # @param:: build_number ビルド番号
        #
        def build_number=(build_number)
          @build_number = build_number
        end

        #
        # ===タイムスタンプを取得する
        # @return:: タイムスタンプ
        #
        def timestamp
          @timestamp = nil unless instance_variable_defined?(:@timestamp)
          @timestamp
        end

        #
        # ===タイムスタンプを設定する
        # @param:: timestamp タイムスタンプ
        #
        def timestamp=(timestamp)
          @timestamp = timestamp
        end

        #
        # ===NDCを取得する
        # @return:: NDC
        #
        def ndc
          @ndc = nil unless instance_variable_defined?(:@ndc)
          @ndc
        end

        #
        # ===NDCを設定する
        # @param:: ndc NDC
        #
        def ndc=(ndc)
          @ndc = ndc
        end

        #
        # ===結果メッセージを取得する
        # @return:: 結果メッセージ
        #
        def result_description
          @result_description = nil unless instance_variable_defined?(:@result_description)
          @result_description
        end

        #
        # ===結果メッセージを設定する
        # @param:: result_description 結果メッセージ
        #
        def result_description=(result_description)
          @result_description = result_description
        end

        #
        # ===外部システムリンクを取得する
        # @return:: 外部システムリンク
        #
        def external_system_link
          @external_system_link = nil unless instance_variable_defined?(:@external_system_link)
          @external_system_link
        end

        #
        # ===外部システムリンクを設定する
        # @param:: external_system_link 外部システムリンク
        #
        def external_system_link=(external_system_link)
          @external_system_link = external_system_link
        end

        #
        # ===アクションを取得する
        # @return:: アクション
        #
        def action
          @action = nil unless instance_variable_defined?(:@action)
          @action
        end

        #
        # ===アクションを設定する
        # @param:: action アクション
        #
        def action=(action)
          @action = action
        end

        #
        # ===レポートを取得する
        # @return:: レポート
        #
        def risk_report
          @risk_report = nil unless instance_variable_defined?(:@risk_report)
          @risk_report
        end

        #
        # ===レポートを設定する
        # @param:: risk_report レポート
        #
        def risk_report=(risk_report)
          @risk_report = risk_report
        end

        #
        # ===不正検知メッセージを取得する
        # @return:: 不正検知メッセージ
        #
        def risk_fraud_description
          @risk_fraud_description = nil unless instance_variable_defined?(:@risk_fraud_description)
          @risk_fraud_description
        end

        #
        # ===不正検知メッセージを設定する
        # @param:: risk_fraud_description 不正検知メッセージ
        #
        def risk_fraud_description=(risk_fraud_description)
          @risk_fraud_description = risk_fraud_description
        end

        #
        # ===トランザクションIDを取得する
        # @return:: トランザクションID
        #
        def transaction_id
          @transaction_id = nil unless instance_variable_defined?(:@transaction_id)
          @transaction_id
        end

        #
        # ===トランザクションIDを設定する
        # @param:: transaction_id トランザクションID
        #
        def transaction_id=(transaction_id)
          @transaction_id = transaction_id
        end

        #
        # ===パラメータエラーメッセージ一覧を取得する
        # @return:: パラメータエラーメッセージ一覧
        #
        def parameter_errors
          @parameter_errors = nil unless instance_variable_defined?(:@parameter_errors)
          @parameter_errors
        end

        #
        # ===パラメータエラーメッセージ一覧を設定する
        # @param:: parameter_errors パラメータエラーメッセージ一覧
        #
        def parameter_errors=(parameter_errors)
          @parameter_errors = parameter_errors
        end

        #
        # ===不正検知と紐付けられた取引のサービス種別を取得する
        # @return:: 不正検知と紐付けられた取引のサービス種別
        #
        def target_service_type_cd
          @target_service_type_cd = nil unless instance_variable_defined?(:@target_service_type_cd)
          @target_service_type_cd
        end

        #
        # ===不正検知と紐付けられた取引のサービス種別を設定する
        # @param:: target_service_type_cd 不正検知と紐付けられた取引のサービス種別
        #
        def target_service_type_cd=(target_service_type_cd)
          @target_service_type_cd = target_service_type_cd
        end

        #
        # ===不正検知と紐付けられた取引の取引IDを取得する
        # @return:: 不正検知と紐付けられた取引の取引ID
        #
        def target_order_id
          @target_order_id = nil unless instance_variable_defined?(:@target_order_id)
          @target_order_id
        end

        #
        # ===不正検知と紐付けられた取引の取引IDを設定する
        # @param:: target_order_id 不正検知と紐付けられた取引の取引ID
        #
        def target_order_id=(target_order_id)
          @target_order_id = target_order_id
        end


      end
    end
  end
end
