# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知ユーザアカウントDtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionUserAccountDto

        #
        # ===ユーザアカウントIDを取得する
        # @return:: ユーザアカウントID
        #
        def id
          @id = nil unless instance_variable_defined?(:@id)
          @id
        end

        #
        # ===ユーザアカウントIDを設定する
        # 貴社システムでの、一意なエンドユーザアカウント ID。
        # @param:: id ユーザアカウントID
        #
        def id=(id)
          @id = id
        end

        #
        # ===アクセス開始日時を取得する
        # @return:: アクセス開始日時
        #
        def enrollment_time
          @enrollment_time = nil unless instance_variable_defined?(:@enrollment_time)
          @enrollment_time
        end

        #
        # ===アクセス開始日時を設定する
        # オンラインアカウント アクセス開始日時を"YYYY-MM-DDTHH:MM:SS.MsMsMsZ"で設定してください。
        # @param:: enrollment_time アクセス開始日時
        #
        def enrollment_time=(enrollment_time)
          @enrollment_time = enrollment_time
        end

        #
        # ===アカウント保有者を取得する
        # @return:: アカウント保有者
        #
        def account_holder
          @account_holder = nil unless instance_variable_defined?(:@account_holder)
          @account_holder
        end

        #
        # ===アカウント保有者を設定する
        # アカウント保有者。contacts オブジェクトrefIdを設定してください。
        # @param:: account_holder アカウント保有者
        #
        def account_holder=(account_holder)
          @account_holder = account_holder
        end

        #
        # ===リピート顧客フラグを取得する
        # @return:: リピート顧客フラグ
        #
        def return_customer
          @return_customer = nil unless instance_variable_defined?(:@return_customer)
          @return_customer
        end

        #
        # ===リピート顧客フラグを設定する
        # アカウント保有者がリピート顧客であるかを示すフラグ。「true, false」の何れかを設定してください。（true：リピート顧客）
        # @param:: return_customer リピート顧客フラグ
        #
        def return_customer=(return_customer)
          @return_customer = return_customer
        end

        #
        # ===ユーザ名を取得する
        # @return:: ユーザ名
        #
        def username
          @username = nil unless instance_variable_defined?(:@username)
          @username
        end

        #
        # ===ユーザ名を設定する
        # アカウント保有者のユーザ名を設定してください。
        # @param:: username ユーザ名
        #
        def username=(username)
          @username = username
        end

        #
        # ===アカウントが作成されてからの日数を取得する
        # @return:: アカウントが作成されてからの日数
        #
        def tof
          @tof = nil unless instance_variable_defined?(:@tof)
          @tof
        end

        #
        # ===アカウントが作成されてからの日数を設定する
        # アカウントが作成されてからの日数を設定してください。
        # @param:: tof アカウントが作成されてからの日数
        #
        def tof=(tof)
          @tof = tof
        end

        #
        # ===最終アクション情報を取得する
        # @return:: 最終アクション情報
        #
        def last_action_times
          @last_action_times = nil unless instance_variable_defined?(:@last_action_times)
          @last_action_times
        end

        #
        # ===最終アクション情報を設定する
        # 最終アクション情報オブジェクト
        # @param:: last_action_times 最終アクション情報
        #
        def last_action_times=(last_action_times)
          @last_action_times = last_action_times
        end


      end
    end
  end
end
