# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知V2顧客情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionV2CustomerDto

        #
        # ===ユーザIDを取得する
        # @return:: ユーザID
        #
        def merchant_customer_id
          @merchant_customer_id = nil unless instance_variable_defined?(:@merchant_customer_id)
          @merchant_customer_id
        end

        #
        # ===ユーザIDを設定する
        # @param:: merchant_customer_id ユーザID
        #
        def merchant_customer_id=(merchant_customer_id)
          @merchant_customer_id = merchant_customer_id
        end

        #
        # ===名前を取得する
        # @return:: 名前
        #
        def given_name
          @given_name = nil unless instance_variable_defined?(:@given_name)
          @given_name
        end

        #
        # ===名前を設定する
        # @param:: given_name 名前
        #
        def given_name=(given_name)
          @given_name = given_name
        end

        #
        # ===ミドルネームを取得する
        # @return:: ミドルネーム
        #
        def middle_name
          @middle_name = nil unless instance_variable_defined?(:@middle_name)
          @middle_name
        end

        #
        # ===ミドルネームを設定する
        # @param:: middle_name ミドルネーム
        #
        def middle_name=(middle_name)
          @middle_name = middle_name
        end

        #
        # ===苗字を取得する
        # @return:: 苗字
        #
        def surname
          @surname = nil unless instance_variable_defined?(:@surname)
          @surname
        end

        #
        # ===苗字を設定する
        # @param:: surname 苗字
        #
        def surname=(surname)
          @surname = surname
        end

        #
        # ===性別を取得する
        # @return:: 性別
        #
        def sex
          @sex = nil unless instance_variable_defined?(:@sex)
          @sex
        end

        #
        # ===性別を設定する
        # @param:: sex 性別
        #
        def sex=(sex)
          @sex = sex
        end

        #
        # ===電話番号2を取得する
        # @return:: 電話番号2
        #
        def work_phone
          @work_phone = nil unless instance_variable_defined?(:@work_phone)
          @work_phone
        end

        #
        # ===電話番号2を設定する
        # @param:: work_phone 電話番号2
        #
        def work_phone=(work_phone)
          @work_phone = work_phone
        end

        #
        # ===生年月日を取得する
        # @return:: 生年月日
        #
        def birth_date
          @birth_date = nil unless instance_variable_defined?(:@birth_date)
          @birth_date
        end

        #
        # ===生年月日を設定する
        # @param:: birth_date 生年月日
        #
        def birth_date=(birth_date)
          @birth_date = birth_date
        end

        #
        # ===電話番号を取得する
        # @return:: 電話番号
        #
        def phone
          @phone = nil unless instance_variable_defined?(:@phone)
          @phone
        end

        #
        # ===電話番号を設定する
        # @param:: phone 電話番号
        #
        def phone=(phone)
          @phone = phone
        end

        #
        # ===モバイル電話番号を取得する
        # @return:: モバイル電話番号
        #
        def mobile
          @mobile = nil unless instance_variable_defined?(:@mobile)
          @mobile
        end

        #
        # ===モバイル電話番号を設定する
        # @param:: mobile モバイル電話番号
        #
        def mobile=(mobile)
          @mobile = mobile
        end

        #
        # ===メールアドレスを取得する
        # @return:: メールアドレス
        #
        def email
          @email = nil unless instance_variable_defined?(:@email)
          @email
        end

        #
        # ===メールアドレスを設定する
        # @param:: email メールアドレス
        #
        def email=(email)
          @email = email
        end

        #
        # ===会社名を取得する
        # @return:: 会社名
        #
        def company_name
          @company_name = nil unless instance_variable_defined?(:@company_name)
          @company_name
        end

        #
        # ===会社名を設定する
        # @param:: company_name 会社名
        #
        def company_name=(company_name)
          @company_name = company_name
        end

        #
        # ===IPアドレスを取得する
        # @return:: IPアドレス
        #
        def ip
          @ip = nil unless instance_variable_defined?(:@ip)
          @ip
        end

        #
        # ===IPアドレスを設定する
        # @param:: ip IPアドレス
        #
        def ip=(ip)
          @ip = ip
        end

        #
        # ===デバイス情報を取得する
        # @return:: デバイス情報
        #
        def browser_fingerprint
          @browser_fingerprint = nil unless instance_variable_defined?(:@browser_fingerprint)
          @browser_fingerprint
        end

        #
        # ===デバイス情報を設定する
        # @param:: browser_fingerprint デバイス情報
        #
        def browser_fingerprint=(browser_fingerprint)
          @browser_fingerprint = browser_fingerprint
        end

        #
        # ===政府発行IDを取得する
        # @return:: 政府発行ID
        #
        def identification_doc_id
          @identification_doc_id = nil unless instance_variable_defined?(:@identification_doc_id)
          @identification_doc_id
        end

        #
        # ===政府発行IDを設定する
        # @param:: identification_doc_id 政府発行ID
        #
        def identification_doc_id=(identification_doc_id)
          @identification_doc_id = identification_doc_id
        end

        #
        # ===リピータフラグを取得する
        # @return:: リピータフラグ
        #
        def status
          @status = nil unless instance_variable_defined?(:@status)
          @status
        end

        #
        # ===リピータフラグを設定する
        # @param:: status リピータフラグ
        #
        def status=(status)
          @status = status
        end


      end
    end
  end
end
