# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知V2パラメータ情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionV2ParametersDto

        #
        # ===アカウントTOFを取得する
        # @return:: アカウントTOF
        #
        def time_on_file
          @time_on_file = nil unless instance_variable_defined?(:@time_on_file)
          @time_on_file
        end

        #
        # ===アカウントTOFを設定する
        # @param:: time_on_file アカウントTOF
        #
        def time_on_file=(time_on_file)
          @time_on_file = time_on_file
        end

        #
        # ===認証種別を取得する
        # @return:: 認証種別
        #
        def cust_verification
          @cust_verification = nil unless instance_variable_defined?(:@cust_verification)
          @cust_verification
        end

        #
        # ===認証種別を設定する
        # @param:: cust_verification 認証種別
        #
        def cust_verification=(cust_verification)
          @cust_verification = cust_verification
        end

        #
        # ===アクワイアラ応答コードを取得する
        # @return:: アクワイアラ応答コード
        #
        def auth_response
          @auth_response = nil unless instance_variable_defined?(:@auth_response)
          @auth_response
        end

        #
        # ===アクワイアラ応答コードを設定する
        # @param:: auth_response アクワイアラ応答コード
        #
        def auth_response=(auth_response)
          @auth_response = auth_response
        end

        #
        # ===アクワイアラ住所確認システム応答コードを取得する
        # @return:: アクワイアラ住所確認システム応答コード
        #
        def avs_response
          @avs_response = nil unless instance_variable_defined?(:@avs_response)
          @avs_response
        end

        #
        # ===アクワイアラ住所確認システム応答コードを設定する
        # @param:: avs_response アクワイアラ住所確認システム応答コード
        #
        def avs_response=(avs_response)
          @avs_response = avs_response
        end

        #
        # ===CVVインジケーターを取得する
        # @return:: CVVインジケーター
        #
        def cvv_indicator
          @cvv_indicator = nil unless instance_variable_defined?(:@cvv_indicator)
          @cvv_indicator
        end

        #
        # ===CVVインジケーターを設定する
        # @param:: cvv_indicator CVVインジケーター
        #
        def cvv_indicator=(cvv_indicator)
          @cvv_indicator = cvv_indicator
        end

        #
        # ===CVVレスポンスを取得する
        # @return:: CVVレスポンス
        #
        def cvv_response
          @cvv_response = nil unless instance_variable_defined?(:@cvv_response)
          @cvv_response
        end

        #
        # ===CVVレスポンスを設定する
        # @param:: cvv_response CVVレスポンス
        #
        def cvv_response=(cvv_response)
          @cvv_response = cvv_response
        end

        #
        # ===CAVVステータスを取得する
        # @return:: CAVVステータス
        #
        def cavv_status
          @cavv_status = nil unless instance_variable_defined?(:@cavv_status)
          @cavv_status
        end

        #
        # ===CAVVステータスを設定する
        # @param:: cavv_status CAVVステータス
        #
        def cavv_status=(cavv_status)
          @cavv_status = cavv_status
        end

        #
        # ===継続課金初回取引IDを取得する
        # @return:: 継続課金初回取引ID
        #
        def parent_oid
          @parent_oid = nil unless instance_variable_defined?(:@parent_oid)
          @parent_oid
        end

        #
        # ===継続課金初回取引IDを設定する
        # @param:: parent_oid 継続課金初回取引ID
        #
        def parent_oid=(parent_oid)
          @parent_oid = parent_oid
        end

        #
        # ===継続課金指定を取得する
        # @return:: 継続課金指定
        #
        def rtr_leg
          @rtr_leg = nil unless instance_variable_defined?(:@rtr_leg)
          @rtr_leg
        end

        #
        # ===継続課金指定を設定する
        # @param:: rtr_leg 継続課金指定
        #
        def rtr_leg=(rtr_leg)
          @rtr_leg = rtr_leg
        end

        #
        # ===プロモーションフラグを取得する
        # @return:: プロモーションフラグ
        #
        def item_prod_category
          @item_prod_category = nil unless instance_variable_defined?(:@item_prod_category)
          @item_prod_category
        end

        #
        # ===プロモーションフラグを設定する
        # @param:: item_prod_category プロモーションフラグ
        #
        def item_prod_category=(item_prod_category)
          @item_prod_category = item_prod_category
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data1
          @user_data1 = nil unless instance_variable_defined?(:@user_data1)
          @user_data1
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data1 加盟店用の予備
        #
        def user_data1=(user_data1)
          @user_data1 = user_data1
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data2
          @user_data2 = nil unless instance_variable_defined?(:@user_data2)
          @user_data2
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data2 加盟店用の予備
        #
        def user_data2=(user_data2)
          @user_data2 = user_data2
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data3
          @user_data3 = nil unless instance_variable_defined?(:@user_data3)
          @user_data3
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data3 加盟店用の予備
        #
        def user_data3=(user_data3)
          @user_data3 = user_data3
        end

        #
        # ===請求先住所1を取得する
        # @return:: 請求先住所1
        #
        def user_data4
          @user_data4 = nil unless instance_variable_defined?(:@user_data4)
          @user_data4
        end

        #
        # ===請求先住所1を設定する
        # @param:: user_data4 請求先住所1
        #
        def user_data4=(user_data4)
          @user_data4 = user_data4
        end

        #
        # ===請求先住所2を取得する
        # @return:: 請求先住所2
        #
        def user_data5
          @user_data5 = nil unless instance_variable_defined?(:@user_data5)
          @user_data5
        end

        #
        # ===請求先住所2を設定する
        # @param:: user_data5 請求先住所2
        #
        def user_data5=(user_data5)
          @user_data5 = user_data5
        end

        #
        # ===請求先全住所を取得する
        # @return:: 請求先全住所
        #
        def user_data6
          @user_data6 = nil unless instance_variable_defined?(:@user_data6)
          @user_data6
        end

        #
        # ===請求先全住所を設定する
        # @param:: user_data6 請求先全住所
        #
        def user_data6=(user_data6)
          @user_data6 = user_data6
        end

        #
        # ===送付先住所1を取得する
        # @return:: 送付先住所1
        #
        def user_data7
          @user_data7 = nil unless instance_variable_defined?(:@user_data7)
          @user_data7
        end

        #
        # ===送付先住所1を設定する
        # @param:: user_data7 送付先住所1
        #
        def user_data7=(user_data7)
          @user_data7 = user_data7
        end

        #
        # ===送付先住所2を取得する
        # @return:: 送付先住所2
        #
        def user_data8
          @user_data8 = nil unless instance_variable_defined?(:@user_data8)
          @user_data8
        end

        #
        # ===送付先住所2を設定する
        # @param:: user_data8 送付先住所2
        #
        def user_data8=(user_data8)
          @user_data8 = user_data8
        end

        #
        # ===送付先全住所を取得する
        # @return:: 送付先全住所
        #
        def user_data9
          @user_data9 = nil unless instance_variable_defined?(:@user_data9)
          @user_data9
        end

        #
        # ===送付先全住所を設定する
        # @param:: user_data9 送付先全住所
        #
        def user_data9=(user_data9)
          @user_data9 = user_data9
        end

        #
        # ===トランザクションIDを取得する
        # @return:: トランザクションID
        #
        def user_data10
          @user_data10 = nil unless instance_variable_defined?(:@user_data10)
          @user_data10
        end

        #
        # ===トランザクションIDを設定する
        # @param:: user_data10 トランザクションID
        #
        def user_data10=(user_data10)
          @user_data10 = user_data10
        end

        #
        # ===再購入日数を取得する
        # @return:: 再購入日数
        #
        def user_data11
          @user_data11 = nil unless instance_variable_defined?(:@user_data11)
          @user_data11
        end

        #
        # ===再購入日数を設定する
        # @param:: user_data11 再購入日数
        #
        def user_data11=(user_data11)
          @user_data11 = user_data11
        end

        #
        # ===過去購買回数を取得する
        # @return:: 過去購買回数
        #
        def user_data12
          @user_data12 = nil unless instance_variable_defined?(:@user_data12)
          @user_data12
        end

        #
        # ===過去購買回数を設定する
        # @param:: user_data12 過去購買回数
        #
        def user_data12=(user_data12)
          @user_data12 = user_data12
        end

        #
        # ===ペイメントレスポンスコードを取得する
        # @return:: ペイメントレスポンスコード
        #
        def user_data13
          @user_data13 = nil unless instance_variable_defined?(:@user_data13)
          @user_data13
        end

        #
        # ===ペイメントレスポンスコードを設定する
        # @param:: user_data13 ペイメントレスポンスコード
        #
        def user_data13=(user_data13)
          @user_data13 = user_data13
        end

        #
        # ===加盟店コードを取得する
        # @return:: 加盟店コード
        #
        def user_data14
          @user_data14 = nil unless instance_variable_defined?(:@user_data14)
          @user_data14
        end

        #
        # ===加盟店コードを設定する
        # @param:: user_data14 加盟店コード
        #
        def user_data14=(user_data14)
          @user_data14 = user_data14
        end

        #
        # ===郵便局・宅急便営業所留めフラグを取得する
        # @return:: 郵便局・宅急便営業所留めフラグ
        #
        def user_data15
          @user_data15 = nil unless instance_variable_defined?(:@user_data15)
          @user_data15
        end

        #
        # ===郵便局・宅急便営業所留めフラグを設定する
        # @param:: user_data15 郵便局・宅急便営業所留めフラグ
        #
        def user_data15=(user_data15)
          @user_data15 = user_data15
        end

        #
        # ===郵便局・宅急便営業所留め営業所名を取得する
        # @return:: 郵便局・宅急便営業所留め営業所名
        #
        def user_data16
          @user_data16 = nil unless instance_variable_defined?(:@user_data16)
          @user_data16
        end

        #
        # ===郵便局・宅急便営業所留め営業所名を設定する
        # @param:: user_data16 郵便局・宅急便営業所留め営業所名
        #
        def user_data16=(user_data16)
          @user_data16 = user_data16
        end

        #
        # ===ユーザポイント残高を取得する
        # @return:: ユーザポイント残高
        #
        def user_data17
          @user_data17 = nil unless instance_variable_defined?(:@user_data17)
          @user_data17
        end

        #
        # ===ユーザポイント残高を設定する
        # @param:: user_data17 ユーザポイント残高
        #
        def user_data17=(user_data17)
          @user_data17 = user_data17
        end

        #
        # ===カード登録変更回数を取得する
        # @return:: カード登録変更回数
        #
        def user_data18
          @user_data18 = nil unless instance_variable_defined?(:@user_data18)
          @user_data18
        end

        #
        # ===カード登録変更回数を設定する
        # @param:: user_data18 カード登録変更回数
        #
        def user_data18=(user_data18)
          @user_data18 = user_data18
        end

        #
        # ===クレジットカード名義を取得する
        # @return:: クレジットカード名義
        #
        def user_data19
          @user_data19 = nil unless instance_variable_defined?(:@user_data19)
          @user_data19
        end

        #
        # ===クレジットカード名義を設定する
        # @param:: user_data19 クレジットカード名義
        #
        def user_data19=(user_data19)
          @user_data19 = user_data19
        end

        #
        # ===カードTOFを取得する
        # @return:: カードTOF
        #
        def user_data20
          @user_data20 = nil unless instance_variable_defined?(:@user_data20)
          @user_data20
        end

        #
        # ===カードTOFを設定する
        # @param:: user_data20 カードTOF
        #
        def user_data20=(user_data20)
          @user_data20 = user_data20
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data21
          @user_data21 = nil unless instance_variable_defined?(:@user_data21)
          @user_data21
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data21 加盟店用の予備
        #
        def user_data21=(user_data21)
          @user_data21 = user_data21
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data22
          @user_data22 = nil unless instance_variable_defined?(:@user_data22)
          @user_data22
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data22 加盟店用の予備
        #
        def user_data22=(user_data22)
          @user_data22 = user_data22
        end

        #
        # ===3DSレスポンスを取得する
        # @return:: 3DSレスポンス
        #
        def user_data23
          @user_data23 = nil unless instance_variable_defined?(:@user_data23)
          @user_data23
        end

        #
        # ===3DSレスポンスを設定する
        # @param:: user_data23 3DSレスポンス
        #
        def user_data23=(user_data23)
          @user_data23 = user_data23
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data24
          @user_data24 = nil unless instance_variable_defined?(:@user_data24)
          @user_data24
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data24 加盟店用の予備
        #
        def user_data24=(user_data24)
          @user_data24 = user_data24
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data25
          @user_data25 = nil unless instance_variable_defined?(:@user_data25)
          @user_data25
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data25 加盟店用の予備
        #
        def user_data25=(user_data25)
          @user_data25 = user_data25
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data26
          @user_data26 = nil unless instance_variable_defined?(:@user_data26)
          @user_data26
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data26 加盟店用の予備
        #
        def user_data26=(user_data26)
          @user_data26 = user_data26
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data27
          @user_data27 = nil unless instance_variable_defined?(:@user_data27)
          @user_data27
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data27 加盟店用の予備
        #
        def user_data27=(user_data27)
          @user_data27 = user_data27
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data28
          @user_data28 = nil unless instance_variable_defined?(:@user_data28)
          @user_data28
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data28 加盟店用の予備
        #
        def user_data28=(user_data28)
          @user_data28 = user_data28
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data29
          @user_data29 = nil unless instance_variable_defined?(:@user_data29)
          @user_data29
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data29 加盟店用の予備
        #
        def user_data29=(user_data29)
          @user_data29 = user_data29
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data30
          @user_data30 = nil unless instance_variable_defined?(:@user_data30)
          @user_data30
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data30 加盟店用の予備
        #
        def user_data30=(user_data30)
          @user_data30 = user_data30
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data31
          @user_data31 = nil unless instance_variable_defined?(:@user_data31)
          @user_data31
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data31 加盟店用の予備
        #
        def user_data31=(user_data31)
          @user_data31 = user_data31
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data32
          @user_data32 = nil unless instance_variable_defined?(:@user_data32)
          @user_data32
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data32 加盟店用の予備
        #
        def user_data32=(user_data32)
          @user_data32 = user_data32
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data33
          @user_data33 = nil unless instance_variable_defined?(:@user_data33)
          @user_data33
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data33 加盟店用の予備
        #
        def user_data33=(user_data33)
          @user_data33 = user_data33
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data34
          @user_data34 = nil unless instance_variable_defined?(:@user_data34)
          @user_data34
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data34 加盟店用の予備
        #
        def user_data34=(user_data34)
          @user_data34 = user_data34
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data35
          @user_data35 = nil unless instance_variable_defined?(:@user_data35)
          @user_data35
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data35 加盟店用の予備
        #
        def user_data35=(user_data35)
          @user_data35 = user_data35
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data36
          @user_data36 = nil unless instance_variable_defined?(:@user_data36)
          @user_data36
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data36 加盟店用の予備
        #
        def user_data36=(user_data36)
          @user_data36 = user_data36
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data37
          @user_data37 = nil unless instance_variable_defined?(:@user_data37)
          @user_data37
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data37 加盟店用の予備
        #
        def user_data37=(user_data37)
          @user_data37 = user_data37
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data38
          @user_data38 = nil unless instance_variable_defined?(:@user_data38)
          @user_data38
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data38 加盟店用の予備
        #
        def user_data38=(user_data38)
          @user_data38 = user_data38
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data39
          @user_data39 = nil unless instance_variable_defined?(:@user_data39)
          @user_data39
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data39 加盟店用の予備
        #
        def user_data39=(user_data39)
          @user_data39 = user_data39
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data40
          @user_data40 = nil unless instance_variable_defined?(:@user_data40)
          @user_data40
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data40 加盟店用の予備
        #
        def user_data40=(user_data40)
          @user_data40 = user_data40
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data41
          @user_data41 = nil unless instance_variable_defined?(:@user_data41)
          @user_data41
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data41 加盟店用の予備
        #
        def user_data41=(user_data41)
          @user_data41 = user_data41
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data42
          @user_data42 = nil unless instance_variable_defined?(:@user_data42)
          @user_data42
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data42 加盟店用の予備
        #
        def user_data42=(user_data42)
          @user_data42 = user_data42
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data43
          @user_data43 = nil unless instance_variable_defined?(:@user_data43)
          @user_data43
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data43 加盟店用の予備
        #
        def user_data43=(user_data43)
          @user_data43 = user_data43
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data44
          @user_data44 = nil unless instance_variable_defined?(:@user_data44)
          @user_data44
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data44 加盟店用の予備
        #
        def user_data44=(user_data44)
          @user_data44 = user_data44
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data45
          @user_data45 = nil unless instance_variable_defined?(:@user_data45)
          @user_data45
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data45 加盟店用の予備
        #
        def user_data45=(user_data45)
          @user_data45 = user_data45
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data46
          @user_data46 = nil unless instance_variable_defined?(:@user_data46)
          @user_data46
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data46 加盟店用の予備
        #
        def user_data46=(user_data46)
          @user_data46 = user_data46
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data47
          @user_data47 = nil unless instance_variable_defined?(:@user_data47)
          @user_data47
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data47 加盟店用の予備
        #
        def user_data47=(user_data47)
          @user_data47 = user_data47
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data48
          @user_data48 = nil unless instance_variable_defined?(:@user_data48)
          @user_data48
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data48 加盟店用の予備
        #
        def user_data48=(user_data48)
          @user_data48 = user_data48
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data49
          @user_data49 = nil unless instance_variable_defined?(:@user_data49)
          @user_data49
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data49 加盟店用の予備
        #
        def user_data49=(user_data49)
          @user_data49 = user_data49
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data50
          @user_data50 = nil unless instance_variable_defined?(:@user_data50)
          @user_data50
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data50 加盟店用の予備
        #
        def user_data50=(user_data50)
          @user_data50 = user_data50
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data51
          @user_data51 = nil unless instance_variable_defined?(:@user_data51)
          @user_data51
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data51 加盟店用の予備
        #
        def user_data51=(user_data51)
          @user_data51 = user_data51
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data52
          @user_data52 = nil unless instance_variable_defined?(:@user_data52)
          @user_data52
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data52 加盟店用の予備
        #
        def user_data52=(user_data52)
          @user_data52 = user_data52
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data53
          @user_data53 = nil unless instance_variable_defined?(:@user_data53)
          @user_data53
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data53 加盟店用の予備
        #
        def user_data53=(user_data53)
          @user_data53 = user_data53
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data54
          @user_data54 = nil unless instance_variable_defined?(:@user_data54)
          @user_data54
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data54 加盟店用の予備
        #
        def user_data54=(user_data54)
          @user_data54 = user_data54
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data55
          @user_data55 = nil unless instance_variable_defined?(:@user_data55)
          @user_data55
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data55 加盟店用の予備
        #
        def user_data55=(user_data55)
          @user_data55 = user_data55
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data56
          @user_data56 = nil unless instance_variable_defined?(:@user_data56)
          @user_data56
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data56 加盟店用の予備
        #
        def user_data56=(user_data56)
          @user_data56 = user_data56
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data57
          @user_data57 = nil unless instance_variable_defined?(:@user_data57)
          @user_data57
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data57 加盟店用の予備
        #
        def user_data57=(user_data57)
          @user_data57 = user_data57
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data58
          @user_data58 = nil unless instance_variable_defined?(:@user_data58)
          @user_data58
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data58 加盟店用の予備
        #
        def user_data58=(user_data58)
          @user_data58 = user_data58
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data59
          @user_data59 = nil unless instance_variable_defined?(:@user_data59)
          @user_data59
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data59 加盟店用の予備
        #
        def user_data59=(user_data59)
          @user_data59 = user_data59
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data60
          @user_data60 = nil unless instance_variable_defined?(:@user_data60)
          @user_data60
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data60 加盟店用の予備
        #
        def user_data60=(user_data60)
          @user_data60 = user_data60
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data61
          @user_data61 = nil unless instance_variable_defined?(:@user_data61)
          @user_data61
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data61 加盟店用の予備
        #
        def user_data61=(user_data61)
          @user_data61 = user_data61
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data62
          @user_data62 = nil unless instance_variable_defined?(:@user_data62)
          @user_data62
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data62 加盟店用の予備
        #
        def user_data62=(user_data62)
          @user_data62 = user_data62
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data63
          @user_data63 = nil unless instance_variable_defined?(:@user_data63)
          @user_data63
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data63 加盟店用の予備
        #
        def user_data63=(user_data63)
          @user_data63 = user_data63
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data64
          @user_data64 = nil unless instance_variable_defined?(:@user_data64)
          @user_data64
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data64 加盟店用の予備
        #
        def user_data64=(user_data64)
          @user_data64 = user_data64
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data65
          @user_data65 = nil unless instance_variable_defined?(:@user_data65)
          @user_data65
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data65 加盟店用の予備
        #
        def user_data65=(user_data65)
          @user_data65 = user_data65
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data66
          @user_data66 = nil unless instance_variable_defined?(:@user_data66)
          @user_data66
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data66 加盟店用の予備
        #
        def user_data66=(user_data66)
          @user_data66 = user_data66
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data67
          @user_data67 = nil unless instance_variable_defined?(:@user_data67)
          @user_data67
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data67 加盟店用の予備
        #
        def user_data67=(user_data67)
          @user_data67 = user_data67
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data68
          @user_data68 = nil unless instance_variable_defined?(:@user_data68)
          @user_data68
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data68 加盟店用の予備
        #
        def user_data68=(user_data68)
          @user_data68 = user_data68
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data69
          @user_data69 = nil unless instance_variable_defined?(:@user_data69)
          @user_data69
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data69 加盟店用の予備
        #
        def user_data69=(user_data69)
          @user_data69 = user_data69
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data70
          @user_data70 = nil unless instance_variable_defined?(:@user_data70)
          @user_data70
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data70 加盟店用の予備
        #
        def user_data70=(user_data70)
          @user_data70 = user_data70
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data71
          @user_data71 = nil unless instance_variable_defined?(:@user_data71)
          @user_data71
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data71 加盟店用の予備
        #
        def user_data71=(user_data71)
          @user_data71 = user_data71
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data72
          @user_data72 = nil unless instance_variable_defined?(:@user_data72)
          @user_data72
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data72 加盟店用の予備
        #
        def user_data72=(user_data72)
          @user_data72 = user_data72
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data73
          @user_data73 = nil unless instance_variable_defined?(:@user_data73)
          @user_data73
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data73 加盟店用の予備
        #
        def user_data73=(user_data73)
          @user_data73 = user_data73
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data74
          @user_data74 = nil unless instance_variable_defined?(:@user_data74)
          @user_data74
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data74 加盟店用の予備
        #
        def user_data74=(user_data74)
          @user_data74 = user_data74
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data75
          @user_data75 = nil unless instance_variable_defined?(:@user_data75)
          @user_data75
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data75 加盟店用の予備
        #
        def user_data75=(user_data75)
          @user_data75 = user_data75
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data76
          @user_data76 = nil unless instance_variable_defined?(:@user_data76)
          @user_data76
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data76 加盟店用の予備
        #
        def user_data76=(user_data76)
          @user_data76 = user_data76
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data77
          @user_data77 = nil unless instance_variable_defined?(:@user_data77)
          @user_data77
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data77 加盟店用の予備
        #
        def user_data77=(user_data77)
          @user_data77 = user_data77
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data78
          @user_data78 = nil unless instance_variable_defined?(:@user_data78)
          @user_data78
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data78 加盟店用の予備
        #
        def user_data78=(user_data78)
          @user_data78 = user_data78
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data79
          @user_data79 = nil unless instance_variable_defined?(:@user_data79)
          @user_data79
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data79 加盟店用の予備
        #
        def user_data79=(user_data79)
          @user_data79 = user_data79
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data80
          @user_data80 = nil unless instance_variable_defined?(:@user_data80)
          @user_data80
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data80 加盟店用の予備
        #
        def user_data80=(user_data80)
          @user_data80 = user_data80
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data81
          @user_data81 = nil unless instance_variable_defined?(:@user_data81)
          @user_data81
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data81 加盟店用の予備
        #
        def user_data81=(user_data81)
          @user_data81 = user_data81
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data82
          @user_data82 = nil unless instance_variable_defined?(:@user_data82)
          @user_data82
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data82 加盟店用の予備
        #
        def user_data82=(user_data82)
          @user_data82 = user_data82
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data83
          @user_data83 = nil unless instance_variable_defined?(:@user_data83)
          @user_data83
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data83 加盟店用の予備
        #
        def user_data83=(user_data83)
          @user_data83 = user_data83
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data84
          @user_data84 = nil unless instance_variable_defined?(:@user_data84)
          @user_data84
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data84 加盟店用の予備
        #
        def user_data84=(user_data84)
          @user_data84 = user_data84
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data85
          @user_data85 = nil unless instance_variable_defined?(:@user_data85)
          @user_data85
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data85 加盟店用の予備
        #
        def user_data85=(user_data85)
          @user_data85 = user_data85
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data86
          @user_data86 = nil unless instance_variable_defined?(:@user_data86)
          @user_data86
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data86 加盟店用の予備
        #
        def user_data86=(user_data86)
          @user_data86 = user_data86
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data87
          @user_data87 = nil unless instance_variable_defined?(:@user_data87)
          @user_data87
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data87 加盟店用の予備
        #
        def user_data87=(user_data87)
          @user_data87 = user_data87
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data88
          @user_data88 = nil unless instance_variable_defined?(:@user_data88)
          @user_data88
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data88 加盟店用の予備
        #
        def user_data88=(user_data88)
          @user_data88 = user_data88
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data89
          @user_data89 = nil unless instance_variable_defined?(:@user_data89)
          @user_data89
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data89 加盟店用の予備
        #
        def user_data89=(user_data89)
          @user_data89 = user_data89
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data90
          @user_data90 = nil unless instance_variable_defined?(:@user_data90)
          @user_data90
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data90 加盟店用の予備
        #
        def user_data90=(user_data90)
          @user_data90 = user_data90
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data91
          @user_data91 = nil unless instance_variable_defined?(:@user_data91)
          @user_data91
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data91 加盟店用の予備
        #
        def user_data91=(user_data91)
          @user_data91 = user_data91
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data92
          @user_data92 = nil unless instance_variable_defined?(:@user_data92)
          @user_data92
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data92 加盟店用の予備
        #
        def user_data92=(user_data92)
          @user_data92 = user_data92
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data93
          @user_data93 = nil unless instance_variable_defined?(:@user_data93)
          @user_data93
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data93 加盟店用の予備
        #
        def user_data93=(user_data93)
          @user_data93 = user_data93
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data94
          @user_data94 = nil unless instance_variable_defined?(:@user_data94)
          @user_data94
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data94 加盟店用の予備
        #
        def user_data94=(user_data94)
          @user_data94 = user_data94
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data95
          @user_data95 = nil unless instance_variable_defined?(:@user_data95)
          @user_data95
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data95 加盟店用の予備
        #
        def user_data95=(user_data95)
          @user_data95 = user_data95
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data96
          @user_data96 = nil unless instance_variable_defined?(:@user_data96)
          @user_data96
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data96 加盟店用の予備
        #
        def user_data96=(user_data96)
          @user_data96 = user_data96
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data97
          @user_data97 = nil unless instance_variable_defined?(:@user_data97)
          @user_data97
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data97 加盟店用の予備
        #
        def user_data97=(user_data97)
          @user_data97 = user_data97
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data98
          @user_data98 = nil unless instance_variable_defined?(:@user_data98)
          @user_data98
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data98 加盟店用の予備
        #
        def user_data98=(user_data98)
          @user_data98 = user_data98
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data99
          @user_data99 = nil unless instance_variable_defined?(:@user_data99)
          @user_data99
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data99 加盟店用の予備
        #
        def user_data99=(user_data99)
          @user_data99 = user_data99
        end

        #
        # ===加盟店用の予備を取得する
        # @return:: 加盟店用の予備
        #
        def user_data100
          @user_data100 = nil unless instance_variable_defined?(:@user_data100)
          @user_data100
        end

        #
        # ===加盟店用の予備を設定する
        # @param:: user_data100 加盟店用の予備
        #
        def user_data100=(user_data100)
          @user_data100 = user_data100
        end


      end
    end
  end
end
