# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =取引情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class OrderParam

        #
        # ===元取引IDを取得する
        # @return:: 元取引ID
        #
        def original_order_id
          @original_order_id = nil unless instance_variable_defined?(:@original_order_id)
          @original_order_id
        end

        #
        # ===元取引IDを設定する
        # @param:: original_order_id 元取引ID
        #
        def original_order_id=(original_order_id)
          @original_order_id = original_order_id
        end

        #
        # ===洗替実施マーチャントIDを取得する
        # @return:: 洗替実施マーチャントID
        #
        def cleaning_merchant_id
          @cleaning_merchant_id = nil unless instance_variable_defined?(:@cleaning_merchant_id)
          @cleaning_merchant_id
        end

        #
        # ===洗替実施マーチャントIDを設定する
        # @param:: cleaning_merchant_id 洗替実施マーチャントID
        #
        def cleaning_merchant_id=(cleaning_merchant_id)
          @cleaning_merchant_id = cleaning_merchant_id
        end

      end
    end
  end
end
