# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =PayNowIdオブジェクトのクラス
      #
      # @author:: VeriTrans Inc.
      #
      class PayNowIdParam

        #
        # ===会員情報を取得する
        # @return:: 会員情報
        #
        def account_param
          @account_param = nil unless instance_variable_defined?(:@account_param)
          @account_param
        end

        #
        # ===会員情報を設定する
        # @param:: accountParam 会員情報
        #
        def account_param=(account_param)
          @account_param = account_param
        end

        #
        # ===課金グループ情報を取得する
        # @return:: 課金グループ情報
        #
        def charge_param
          @charge_param = nil unless instance_variable_defined?(:@charge_param)
          @charge_param
        end

        #
        # ===課金グループ情報を設定する
        # @param:: charge_param 課金グループ情報
        #
        def charge_param=(charge_param)
          @charge_param = charge_param
        end

        #
        # ===取引情報を取得する
        # @return:: 取引情報
        #
        def order_param
          @order_param = nil unless instance_variable_defined?(:@order_param)
          @order_param
        end

        #
        # ===取引情報を設定する
        # @param:: order_param 取引情報
        #
        def order_param=(order_param)
          @order_param = order_param
        end

        #
        # ===タンキングフラグを取得する
        # @return:: タンキングフラグ
        #
        def tanking
          @tanking = nil unless instance_variable_defined?(:@tanking)
          @tanking
        end

        #
        # ===タンキングフラグを設定する
        # @param:: tanking タンキングフラグ
        #
        def tanking=(tanking)
          @tanking = tanking
        end

        #
        # ===取引メモ1を取得する
        # @return:: 取引メモ1
        #
        def memo1
          @memo1 = nil unless instance_variable_defined?(:@memo1)
          @memo1
        end

        #
        # ===取引メモ1を設定する
        # @param:: memo1 取引メモ1
        #
        def memo1=(memo1)
          @memo1 = memo1
        end

        #
        # ===取引メモ2を取得する
        # @return:: 取引メモ2
        #
        def memo2
          @memo2 = nil unless instance_variable_defined?(:@memo2)
          @memo2
        end

        #
        # ===取引メモ2を設定する
        # @param:: memo2 取引メモ2
        #
        def memo2=(memo2)
          @memo2 = memo2
        end

        #
        # ===取引メモ3を取得する
        # @return:: 取引メモ3
        #
        def memo3
          @memo3 = nil unless instance_variable_defined?(:@memo3)
          @memo3
        end

        #
        # ===取引メモ3を設定する
        # @param:: memo3 取引メモ3
        #
        def memo3=(memo3)
          @memo3 = memo3
        end

        #
        # ===キー情報を取得する
        # @return:: キー情報
        #
        def free_key
          @free_key = nil unless instance_variable_defined?(:@free_key)
          @free_key
        end

        #
        # ===キー情報を設定する
        # @param:: free_key キー情報
        #
        def free_key=(free_key)
          @free_key = free_key
        end

        #
        # ===レシートデータを取得する
        # @return:: レシートデータ
        #
        def receipt_data
          @receipt_data = nil unless instance_variable_defined?(:@receipt_data)
          @receipt_data
        end

        #
        # ===レシートデータを設定する
        # @param:: receipt_data レシートデータ
        #
        def receipt_data=(receipt_data)
          @receipt_data = receipt_data
        end

        #
        # ===トークンを取得する
        # @param:: token トークン
        #
        def token
          @token = nil unless instance_variable_defined?(:@token)
          @token
        end

        #
        # ===トークンを設定する
        # @param:: token トークン
        #
        def token=(token)
          @token = token
        end

      end
    end
  end
end
