# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =配送先情報クラス
      #
      # @author:: VeriTrans Inc.
      #
      class ScoreatpayDeliveryDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===配送先IDを取得する
        # @return:: 配送先ID
        #
        def delivery_id
          @delivery_id = nil unless instance_variable_defined?(:@delivery_id)
          @delivery_id
        end

        #
        # ===配送先IDを設定する
        # @param:: delivery_id 配送先ID
        #
        def delivery_id=(delivery_id)
          @delivery_id = delivery_id
        end

        #
        # ===配送先情報を取得する
        # @return:: 配送先情報
        #
        def contact
          @contact = nil unless instance_variable_defined?(:@contact)
          @contact
        end

        #
        # ===配送先情報を設定する
        # @param:: contact 配送先情報
        #
        def contact=(contact)
          @contact = contact
        end

        #
        # ===明細を取得する
        # @return:: 明細
        #
        def details
          @details = nil unless instance_variable_defined?(:@details)
          @details
        end

        #
        # ===明細を設定する
        # @param:: details 明細
        #
        def details=(details)
          @details = details
        end



      end
    end
  end
end