# -*- encoding: utf-8 -*-
#= tg_mdk_ruby.rb - MDK Library main file. (Not Mix-in to Object class.)
#
#Copyright:: VeriTrans Inc.
#Authors::   VeriTrans Inc.
#

$LOAD_PATH.unshift(File.dirname(__FILE__)) unless $LOAD_PATH.include?(File.dirname(__FILE__)) || $LOAD_PATH.include?(File.expand_path(File.dirname(__FILE__)))

module Veritrans
  module Tercerog
    module Mdk

      #
      # ===Mdkが共通で利用するロガーを取得します。
      # @return:: ログ出力用クラスのインスタンス
      #
      def self.logger
        if const_defined?(:MDK_DEFAULT_LOGGER)
          const_get(:MDK_DEFAULT_LOGGER)
        else
          nil
        end
      end

    end
  end
end

require 'tg_mdk/mdk_logger'
require 'tg_mdk/mdk_message'
require 'tg_mdk/mdk_error'
require 'tg_mdk/mdk_utils'
require 'tg_mdk/mdk_config'
require 'tg_mdk/mdk_const'
require 'tg_mdk/mdk_dto'
require 'tg_mdk/mdk_json_query'
require 'tg_mdk/mdk_connection'
require 'tg_mdk/mdk_connection_servlet'
require 'tg_mdk/mdk_content_handler'
require 'tg_mdk/mdk_transaction'
require 'tg_mdk/mdk_merchant_utility'
require 'tg_mdk/mdk_auth_hash_util'
require 'tg_mdk/version'
